#!/bin/bash
set -eo pipefail

BUILD_DIR=/var/newslash/build
REPO_URL=http://scm.osdn.net/gitroot/srad-devel/newslash.git

# checkout newslash source codes
mkdir -p $BUILD_DIR
cd $BUILD_DIR

if [ -d newslash ]; then
    if [ -d newslash/.git ]; then
        cd newslash
        git pull
        git submodule update
    else
        rm -rf newslash
        git clone $REPO_URL newslash
        cd newslash
        git submodule init && git submodule update
    fi
else
    git clone $REPO_URL newslash
    cd newslash
    git submodule init && git submodule update
fi

# generate changelog
./misc/gen_changelog.sh > ./debian/changelog
git describe --tags HEAD | tr -d "\n" > ./src/newslash_web/templates/package_revision
date +" %Y-%m-%d %T %Z" | tr -d "\n" >> ./src/newslash_web/templates/package_revision


# create default config file
#cp /home/hylom/mojolicious/src/newslash_web/newslash-web.production.json ./repo/src/newslash_web/'

# start build
debuild -B -us -uc

