CREATE TABLE IF NOT EXISTS `skins` (
  `skid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `nexus` int(10) unsigned NOT NULL,
  `artcount_min` mediumint(8) unsigned NOT NULL DEFAULT '10',
  `artcount_max` mediumint(8) unsigned NOT NULL DEFAULT '30',
  `name` varchar(30) NOT NULL DEFAULT '',
  `othername` varchar(30) NOT NULL DEFAULT '',
  `title` varchar(64) NOT NULL DEFAULT '',
  `issue` enum('no','yes') NOT NULL DEFAULT 'no',
  `submittable` enum('no','yes') NOT NULL DEFAULT 'yes',
  `searchable` enum('no','yes') NOT NULL DEFAULT 'yes',
  `storypickable` enum('no','yes') NOT NULL DEFAULT 'yes',
  `skinindex` enum('no','yes') NOT NULL DEFAULT 'yes',
  `url` varchar(255) NOT NULL DEFAULT '',
  `hostname` varchar(128) NOT NULL DEFAULT '',
  `path` varchar(128) DEFAULT NULL,
  `cookiedomain` varchar(128) NOT NULL DEFAULT '',
  `index_handler` varchar(30) NOT NULL DEFAULT 'index.pl',
  `max_rewrite_secs` mediumint(8) unsigned NOT NULL DEFAULT '3600',
  `last_rewrite` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ac_uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `older_stories_max` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `require_acl` varchar(32) NOT NULL DEFAULT '',
  PRIMARY KEY (`skid`),
  UNIQUE KEY `name` (`name`),
  KEY `ibfk_converttid_3` (`nexus`)
) DEFAULT CHARSET=utf8mb4;
INSERT INTO `skins` VALUES (1,49,12,36,'mainpage','mainpage','トップページ','no','yes','yes','yes','yes','http://sdtest.osdn.co.jp/','sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:52:13',0,0,''),(2,6797,12,36,'askslashdot','askslashdot','Slashdotに聞け','no','yes','yes','yes','yes','http://askslashdot.sdtest.osdn.co.jp/','askslashdot.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:47:09',0,0,''),(3,1931,12,36,'review','review','レビュー','no','yes','yes','yes','yes','http://review.sdtest.osdn.co.jp/','review.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:47:15',0,0,''),(5,2183,12,36,'developers','developers','デベロッパー','no','yes','yes','yes','yes','http://developers.sdtest.osdn.co.jp/','developers.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:47:21',0,0,''),(6,1967,12,36,'interview','interview','インタビュー','no','yes','yes','yes','yes','http://interview.sdtest.osdn.co.jp/','interview.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:47:26',0,0,''),(7,27,12,36,'linux','linux','Linux','no','yes','yes','yes','yes','http://linux.sdtest.osdn.co.jp/','linux.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:47:32',0,0,''),(8,157,12,36,'apple','apple','アップル','no','yes','yes','yes','yes','http://apple.sdtest.osdn.co.jp/','apple.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:47:38',0,0,''),(9,408,12,36,'mobile','mobile','モバイル','no','yes','yes','yes','yes','http://mobile.sdtest.osdn.co.jp/','mobile.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:52:20',0,0,''),(10,444,12,36,'science','science','サイエンス','no','yes','yes','yes','yes','http://science.sdtest.osdn.co.jp/','science.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:57:10',0,0,''),(11,204,12,36,'security','security','セキュリティ','no','yes','yes','yes','yes','http://security.sdtest.osdn.co.jp/','security.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:57:16',0,0,''),(12,2271,12,36,'slash','slash','/.','no','yes','yes','yes','yes','http://slash.sdtest.osdn.co.jp/','slash.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:57:22',0,0,''),(13,220,12,36,'it','it','IT','no','yes','yes','yes','yes','http://it.sdtest.osdn.co.jp/','it.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:57:28',0,0,''),(14,6806,12,36,'hardware','hardware','ハードウェア','no','yes','yes','yes','yes','http://hardware.sdtest.osdn.co.jp/','hardware.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:57:34',0,0,''),(15,1145,12,36,'yro','yro','YRO','no','yes','yes','yes','yes','http://yro.sdtest.osdn.co.jp/','yro.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:57:40',0,0,''),(16,84,12,36,'opensource','opensource','オープンソース','no','yes','yes','yes','yes','http://opensource.sdtest.osdn.co.jp/','opensource.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 14:57:46',0,0,''),(17,6792,12,36,'idle','idle','idle','no','yes','yes','yes','yes','http://idle.sdtest.osdn.co.jp/','idle.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 15:02:14',0,0,''),(18,6800,12,36,'2011azure','2011_azure','[PR] Azure','no','yes','yes','yes','yes','http://2011azure.sdtest.osdn.co.jp/','2011azure.sdtest.osdn.co.jp',NULL,'','index2.pl',3600,'2017-03-28 15:02:21',0,0,'');
