#!/usr/bin/nodejs

const http = require('http');
const util = require('util');

const DomTest = require('./domtest');
const url = require('url');

// check argument
const targetUrl = process.argv[2];
console.log(targetUrl);

// check url
try {
  const parsed_url = url.parse(targetUrl);
  if (!parsed_url.host) {
    console.log("invalid url");
    return;
  }
} catch (err) {
  console.log("url parsing error");
  return;
}

const options = {};
// options.ignoreMessages = req.parsedBody.ignoreMessages;
  
// start test
console.log(`run test for ${targetUrl}`);
const domtest = new DomTest();
domtest.run(targetUrl, options, (error) => {
  if (error) {
    console.log("domtest running error");
    return;
  }
  domtest.runtimeErrors.forEach((val) => {
    console.log(util.inspect(val, {showHidden:false, depth:null}));
    //console.log(val.stack);
  });
});

