package Newslash::Model::Vars;
use Newslash::Model::Base -base;

use Data::Dumper;

#========================================================================

=head2 get($name)

get system variable.

=over 4

=item Parameters

=over 4

=item $name

variable name.

=back

=item Return value

HASH of value, description

=back

=cut

sub get {
    my ($self, $name) = @_;

    my $dbh = $self->connect_db;
    my $sql = "SELECT * FROM vars WHERE name = ?";
    my $sth = $dbh->prepare($sql);

    $sth->execute($name);
    my $rs = $sth->fetchall_arrayref(+{});
    $sth->finish;
    $self->disconnect_db();

    if (@$rs == 0) {
        $self->disconnect_db();
        return;
    }
    return $rs->[0];
}

#========================================================================

=head2 add($name, $value)

add given value to variable

=over 4

=item Parameters

=over 4

=item $name

variable name

=item $value

value to add

=back

=item Return value


=back

=cut

sub add {
    my ($self, $name, $value) = @_;

    my $dbh = $self->connect_db;
    my $sql = "UPDATE vars SET value = value + ? WHERE name = ?";
    my $rs = $dbh->do($sql, undef, $value, $name);
    $self->disconnect_db();

    if (!$rs) {
        return;
    }
    return 1;
}

1;
