package Newslash::Plugin::EventQue;
use Mojo::Base 'Mojolicious::Plugin';

sub register {
    my ($self, $app, $conf) = @_;
    $self->{app} = $app;
    $self->{conf} = $conf;

    $app->helper(event_que => sub { state $event_que = $self });
}

sub emit {
    my $self = shift;
    my ($type, $sub_type, $uid, $id, $priority) = @_;
    my $events = $self->{app}->model('events');

    my $rs = $events->create(event_type => $type,
                             event_subtype => $sub_type,
                             related_id => $id,
                             source_user_id => $uid,
                             priority => $priority || 0,
                            );
    if (!$rs) {
        $self->{app}->log->warn("event create failed: $type/$sub_type ($id, $uid)");
    }

    if ($type eq 'user' && $sub_type eq 'update') {
        # TODO: update user information for interoperability
        # slashとの互換性のため、ユーザー設定を更新したら各種テーブルやmemcachedを再構築する必要がある
    }
    if ($type eq 'relation') {
        # TODO: update people information for interoperability
        # slashとの互換性のため、フレンド設定を更新したらusersテーブルのpeopleカラムを更新する必要がある
    }

    $self->{app}->log->debug(sprintf('EVENT <%s:%s> received (%d, %d)',
                                     $type,
                                     $sub_type || "",
                                     $uid || 0,
                                     $id || 0));
    return 1;
}

1;
