package Newslash::Plugin::Model;
use Mojo::Base 'Mojolicious::Plugin';
use Newslash::Model;

sub register {
    my ($self, $app, $conf) = @_;
    $conf ||= {};

    # add Model Loader
    my $readonly = $app->config->{System} ? $app->config->{System}->{readonly} : 0;
    $app->helper(model => Newslash::Model::loader($app->config,
						  logger => $app->log,
						  readonly => $readonly,
						 ));
    $app->helper(db => sub { state $db = Newslash::Model::Base->new($app->config,
								    logger => $app->log,
								    readonly => $readonly
								   ); });

    if ($conf->{bypass_startup}) {
        $app->log->info("bypassing model startup...");
    }
    else {
        Newslash::Model::startup($app->config,
				 $app,
				 logger => $app->log,
				 readonly => $readonly,
				);
    }
}

1;
