package Newslash::Plugin::YAMLConfig;
use Mojo::Base 'Mojolicious::Plugin::Config';

#use Mojo::JSON 'from_json';
use YAML qw(Load);
use Mojo::Template;

sub parse {
    my ($self, $content, $file, $conf, $app) = @_;

    my $config = eval { Load $self->render($content, $file, $conf, $app) };
    die qq{Can't parse config "$file": $@} if $@;
    die qq{Invalid config "$file"} unless ref $config eq 'HASH';

    return $config;
}

sub register { shift->SUPER::register(shift, {ext => 'yaml', %{shift()}}) }

sub render {
    my ($self, $content, $file, $conf, $app) = @_;

    # Application instance and helper
    my $prepend = q[no strict 'refs'; no warnings 'redefine';];
    $prepend .= q[my $app = shift; sub app; local *app = sub { $app };];
    $prepend .= q[use Mojo::Base -strict; no warnings 'ambiguous';];

    my $mt = Mojo::Template->new($conf->{template} || {})->name($file);
    my $output = $mt->prepend($prepend . $mt->prepend)->render($content, $app);
    return ref $output ? die $output : $output;
}

1;

