package Newslash::Web::Controller::API::Tag;
use Mojo::Base 'Newslash::Web::Controller';
#use Mojo::Base 'Mojolicious::Controller';

sub post {
    my $c = shift;
    my $user = $c->stash('user');
    my $data = $c->req->json;
    my $message = "invalid request";

    if (!$user->{is_login}) {
        $c->render(json => { error => 1, message => "you are not a valid user." });
        $c->rendered(400);
        return;
    }

    my $tags = $c->model('tags');

    if ($data->{action} eq "set") {
        my $params = $data->{params};
        my $rs = $tags->add(uid => $user->{uid},
                            name => $params->{tagname} || $params->{name},
                            globj_id => $params->{globjid} || $params->{globj_id},
                            private => $params->{private} || 0
                           );
        if (!$rs) {
            $c->render(json => { error => { message => $tags->last_error } });
            $c->rendered(400);
            return;
        }
        $c->render(json => { result => { tag_id => $rs } });
        return;
    }

    if ($data->{action} eq "unset") {
        my $params = $data->{params};
        my $rs = $tags->del(uid => $user->{uid},
                            name => $params->{tagname} || $params->{name},
                            globj_id => $params->{globjid} || $params->{globj_id},
                           );
        if (!$rs) {
            $c->render(json => { error => { message => $tags->last_error } });
            $c->rendered(400);
            return;
        }
        $c->render(json => { result => { delete_count => $rs } });
        return;
    }

    if (length($message) > 0) {
        $c->render(json => { error => 1, message => $message });
        $c->rendered(400);
        return;
    }
    return;
}

1;
