package Newslash::Web::Controller::Authors;
use Mojo::Base 'Mojolicious::Controller';
use Data::Dumper;

sub authors {
    my $c = shift;
    my $authors = $c->get_authors();

    if (!$authors) {
        $c->rendered(500);
        return;
    }

    if (!@$authors) {
        $c->rendered(500);
        return;
    }

    # get stories count
    my $stories = $c->model('stories');
    my $users= $c->model('users');
    my $counts = $stories->count_by_author;
    if (!defined $counts) {
        $c->rendered(500);
        return;
    }

    for my $author (@$authors) {
        $users->get_user_config($author);
        if ($counts->{$author->{uid}}) {
            $author->{number_of_stories} = $counts->{$author->{uid}}->{count} || 0;
        }
        else {
            $author->{number_of_stories} = 0;
        }
    }

    my @sorted = sort { $b->{number_of_stories} <=> $a->{number_of_stories} } @$authors;

    $c->render(page => { type => "authors" },
               authors => \@sorted);
}


1;

