package Newslash::Web::Controller::Submission;
use Mojo::Base 'Mojolicious::Controller';
use Data::Dumper;

sub single {
    my $c = shift;
    my $subid = $c->stash('id');
    my $user = $c->stash('user');
    my $submission = $c->model('submissions')->select(subid => $subid);
    if (!$submission) {
        $c->render('Not found', status => '404');
        return;
    }
    my $d_id = $submission->{discussion_id};
    my $comments = [];
    my $discuss = {};

    if ($d_id) {
        my $discussions = $c->model('discussions');
        $discuss = $discussions->select(id => $d_id);
        $comments = $c->model('comments')->select(discussion_id => $d_id);
    }

    my $page = { content_type => "submission",
                 type => "single" };

    $c->blockquote_submission($submission);

    $c->render(item => $submission,
               discussion => $discuss,
               comments => $comments,
               page => $page,
               use_captcha => 1,
              );
}

sub create {
    my $c = shift;

    # get latest submission
    my $submissions = $c->model('submissions')->select(limit => 10, order_by => { create_time => "DESC"});

    if ($c->req->method eq 'GET') {
	$c->render(latest_submissions => $submissions);
        return;
    }
    # TODO: need to implement POST request
    return;

    my $user = $c->stash('user');
    my $params = {};
    my $extra_params = {};
    my $opts = {};

    $params->{title} = $c->param('title');
    $params->{url} = $c->param('url');
    $params->{email} = $c->param('email');
    $params->{intro_text} = $c->param('intro_text');
    $params->{tid} = 49; #mainpage
    $extra_params->{createheaders} = $c->req->headers->to_string;

    $c->model('submissions')->create($params, $user, $extra_params, $opts);
    $c->render();
}

1;

