/* base.js - some base classes for newslash frontend */

var Content = function(contentType) {
  // Common
  this.uid = 0;
  this.create_time = "";
  this.title = "";
  this.intro_text = "";

  this.author = "anonymous coward";
  this.content_type = contentType;

  // Journal
  if (contentType == "journal") {
    this.id = 0;
    this.journal_id = 0;
  }
  
  // Story
  if (contentType == "story") {
    this.stoid = 0;
    this.sid = 0;
    this.dept = "";
    this.body_text = "";
    this.add_related = "";
    this.url = "";
    this.mediaurl = "";
    this.mediatype = "";
    this.email = "";
    this.commentstatus = "enabled";
    this.display = 1;
    this.submissioncopy = 0;
    this.submission_id = 0;
  }

  // for internal use
  this.tagsString = "";
  this.related = "";
  this.editing = true;
};


// Comments
var Comment = function () {
  this.sid = 0;
  this.cid = 0;
  this.pid = 0;
  this.date = '';
  this.last_update = '';
  this.subject = '';
  this.uid = 0;
  this.points = 0;
  this.points_orig = 0;
  this.points_max = 0;
  this.lastmod = 0;
  this.reason = 0;
  this.signature = '';
  this.len = 0;
  this.karma_bonus = 'no';
  this.karma = 0;
  this.karma_abs = 0;
  this.tweak_orig = 0;
  this.tweak = 0;
  this.badge_id = 0;
  this.comment = '';
  this.create_time = '';
  this.author = '';
  this.children = [];
};

