var login = {};

login.run = function run(params) {
  var vmLogin;

  domUtil.addEventListenerByClass("toggle-login-modal",
                                  "click",
                                  function (ev) {
                                    domUtil.toggleClassById("login-modal", "open");
                                    ev.preventDefault();
                                    return;
                                  });
    
  var elemDialog = params.elemDialog;
  var elemVm = params.elemVm;

  var data = function data() {
    return {
      loginUrl: "/api/v1/login",
      nickname: "",
      rawPassword: "",
      message: "",
      loading: false,
    };
  };

  var props = {
    rpath: String,
  };

  var methods = {
    doLogin: function doLogin() {
      this.loading = true;
      newslash.login(this.nickname, this.rawPassword).then(
        (resp) => {
          if (!resp.error && resp.nickname == this.nickname) {
            this.message = "";
            if (this.rpath.charAt(0) == '/') {
              window.location.href = this.rpath;
            } else {
              window.location.href = '/';
            }
          }
        },
        (resp) => {
          if (resp.reason && resp.reason == "auth_failed") {
            this.message = "auth_error";
            this.loading = false;
          }
        });
    },
    doCancel: function doCancel() {
      domUtil.toggleClassById("login-modal", "open");
    }
  };
  
  Vue.component('login-dialog', {
    template: elemDialog,
    props: props,
    data: data,
    methods: methods,
  });

  vmLogin = new Vue({el: elemVm,});
};
