var newUser = {};

newUser.run = function run(params) {
  var nickRegex = /^[a-zA-Z_][ a-zA-Z0-9$_.+!*\'(),-]{0,19}$/;

  Vue.component('new-user-message', {
    props: ["target", ],
    template: '#newuser-message',
  });

  var data = {
    unickname: "",
    email: "",
    email2: "",
    allowNewsletter: true,
    allowHeadline: false,
    unicknameError: "BLANK_ID",
    emailError: "BLANK_ADDRESS",
    message: "",
    formError: true,
    state: "",
  };

  var methods = {};
  methods.doPost = function doPost() {
    this.state = "posting";
    newslash.validateNewUser(this.unickname, this.email).then(
      (resp) => {
        // ok
        var options = { message: { newsletter: this.allowNewsletter ? 0 : -1,
                                   headline: this.allowHeadline ? 0 : -1, }
                      };
        newslash.createNewUser(this.unickname, this.email, options).then(
          (resp) => {
            // ok
            this.state = "succeed";
            this.message = "SUCCEED";
          },
          (resp) => {
            // failed
            if (!resp) {
              this.message = "SERVER_ERROR";
              this.formError = true;
              return;
            }
            this.emailError = resp.email_error || false;
            this.unicknameError = resp.id_error || false;
            this.unicknane = resp.nickname || "";
            this.email = resp.email || "";
            this.formError = true;
            this.state = "";
            if (!this.emailError && !this.unicknameError) {
              this.message = "SERVER_ERROR";
              this.formError = false;
            }
          }
        );
      },
      (resp) => {
        // failed
        this.emailError = resp.email_error || false;
        this.unicknameError = resp.id_error || false;
        this.unicknane = resp.nickname || false;
        this.email = resp.email || false;
        this.formError = true;
        this.state = "";
      });
  };

  // form value validations
  var watch = {};
  watch.unickname = function watchUnickname(val, oldVal) {
    if (val.length == 0) { this.unicknameError = "BLANK_ID"; }
    else if (!nickRegex.test(val)) { this.unicknameError = "INVALID_ID"; }
    else { this.unicknameError = false; }
    this.formError = this.emailError || this.unicknameError;
  };

  watch.email = function watchEmail(val, oldVal) {
    if (val.length == 0) { this.emailError = "BLANK_ADDRESS"; }
    else if (val != this.email2) { this.emailError = "ADDRESS_NOT_MATCH"; }
    else if (val.search(/.@\w/) < 0) { this.emailError = "INVALID_ADDRESS"; }
    else { this.emailError = false; }
    this.formError = this.emailError || this.unicknameError;
  };

  watch.email2 = function watchEmail2(val, oldVal) {
    if (val != this.email) { this.emailError = "ADDRESS_NOT_MATCH"; }
    else if (val.search(/.@\w/) < 0) { this.emailError = "INVALID_ADDRESS"; }
    else { this.emailError = false; }
    this.formError = this.emailError || this.unicknameError;
  };
  
  var vm = new Vue({
    el: params.el,
    data: data,
    methods: methods,
    watch: watch,
  });

};
