/* newslash-admin.js */

(function () {
  var nsAdmin = new Newslash({ baseUrl: '/api/v1/admin', });
  Newslash.prototype.admin = nsAdmin;

  // Export/Import
  nsAdmin.exportFeeds = function exportFeeds() {
    return this.get("/repository/export?target=feeds");
  };

  nsAdmin.importFeeds = function importFeeds() {
    return this.get("/repository/import?target=feeds");
  };

  nsAdmin.exportBoxes = function exportBoxes() {
    return this.get("/repository/export?target=boxes");
  };

  nsAdmin.importBoxes = function importBoxes() {
    return this.get("/repository/import?target=boxes");
  };

  // story
  nsAdmin.getStory = function getStory(stoid) {
    return this.get("/story?stoid=" + stoid);
  };
  
  nsAdmin.getStoryFromSubmission = function getStoryFromSubmission(subid) {
    return this.get("/story?subid=" + subid);
  };

  nsAdmin.getStoryFromJournal = function getStoryFromJournal(journalId) {
    return this.get("/story?journal_id=" + journalId);
  };

  nsAdmin.previewStory = function previewStory(data) {
    data.action = "preview";
    return this.post("/story", data);
  };

  nsAdmin.postStory = function previewStory(data) {
    data.action = "post";
    return this.post("/story", data);
  };

  // Blocking
  nsAdmin.getBlockedItems = function getBlockedItems(type) {
    return this.get("/blocking?type=" + type);
  };

  nsAdmin.blockItem = function blockItem(type, id) {
    return this.post("/blocking", {action: "block", type: type, id: id});
  };

  nsAdmin.unblockItem = function blockItem(type, id) {
    return this.post("/blocking", {action: "unblock", type: type, id: id});
  };

  // Boxes
  nsAdmin.updateBox = function createBox(params) {
    if (!params) return this.fail();
    if (params.id) {
      params.action = "update";
    } else {
      params.action = "create";
    }
    return this.post("/sidebar", params);
  };

  nsAdmin.deleteBox = function deleteBox(id) {
    if (!id) return this.fail();
    return this.post("/sidebar", { action: "delete", id: id });
  };

  nsAdmin.getBoxes = function getBoxes() {
    return this.get("/sidebar");
  };

  nsAdmin.getBoxById = function getBoxById(id) {
    if (!id) return this.fail();
    return this.get("/sidebar?id=" + id);
  };

  // AD codes
  nsAdmin.getADCodes = function getADCodes() {
    return this.get("/ad/code");
  };

  nsAdmin.getADCodeById = function getADCodeById(id) {
    if (!id) return this.fail();
    return this.get("/ad/code?id=" + id);
  };

  nsAdmin.updateADCodes = function createADCode(params) {
    if (!params) return this.fail();
    if (params.ad_id) {
      params.action = "update";
    } else {
      params.action = "create";
    }
    return this.post("/ad/code", params);
  };

  nsAdmin.deleteADCodes = function deleteADCode(id) {
    if (!id) return this.fail();
    return this.post("/ad/code", { action: "delete", id: id });
  };

  // Filters
  nsAdmin.getFilters = function getFilters() {
    return this.get("/filter");
  };

  nsAdmin.updateFilter = function updateFilter(params) {
    if (!params) return this.fail();
    params.action = params.filter_id ? "update" : "create";
    return this.post("/filter", params);
  };

  nsAdmin.deleteFilter = function deleteFilter(filter_id) {
    if (!filter_id) return this.fail();
    return this.post("/filter", { action: "delete", filter_id: filter_id });
  };

  
}).apply();
