# -*-Perl-*-
# Newslash::Model::Topicss tests
use Mojo::Base -strict;

use Test::More;
use Test::Mojo;
use Data::Dumper;

my $t = Test::Mojo->new('Newslash::Web');

use constant TEST_USER_NAME => 'comment_tester';
my ($user, $story);

my $topics = $t->app->model('topics');
ok($topics, "get topics object");

my $rs = $topics->select(tid => 49);
ok($rs, "select from topics by tid");
is($rs->{keyword}, "mainpage", "select valid topic");

my $tags = [qw(foo hoge mainpage 政治 mozilla)];
my $topic = $topics->get_primary_topic_from_tags($tags);
ok($topic, "get_primary_topic_from_tags() succeed");
is($topic->{keyword}, "politics", "get_primary_topic_from_tags() returns valid result");

done_testing();
