# -*-Perl-*-
# Model::Urls tests
use Mojo::Base -strict;

use Test::More;
use Test::Mojo;
use Data::Dumper;

use Newslash::Util::TestMan;

my $t = Test::Mojo->new('Newslash::Web');
my $urls = $t->app->model('urls');
ok($urls, "get Urls instance");

my ($admin, $user);
my $test_man = Newslash::Util::TestMan->new($t);

# prepare for test
if ($t->app->mode eq 'test') {
    $user = $test_man->create_user("urlstest");
    ok($user, "create test user");
}

subtest 'create/select/delete urls' => sub {
    my $test_url = "http://example.com/";
    my $id = $urls->create(url => $test_url);
    ok($id, "create url");

    my $url = $urls->select(id => $id);
    ok($url, "select url");
    is($url->{url}, $test_url, "valid url");

    my $rs = $urls->hard_delete(id => $id);
    ok($rs, "delete url");
};


$test_man->cleanup;
done_testing();
