# -*-Perl-*-
use Mojo::Base -strict;
use Mojo::Date;
use Mojo::Util qw(dumper);

use Test::More;
use Test::Mojo;
use Newslash::Util::TestMan;

my $t = Test::Mojo->new('Newslash::Web');

my $test_urls = [qw(
		       /index2.pl?view=stories&fhfilter=amd
		       /index2.pl?view=stories&fhfilter=hoge
		       /index2.pl?view=users&fhfilter=Anonymous
		       /index2.pl?fhfilter=stories
		       /index2.pl?fhfilter=story
		       /index2.pl?fhfilter=journal
		       /index2.pl?fhfilter=journals
		       /index2.pl?fhfilter=submission
		       /index2.pl?fhfilter=submissions
		       /index2.pl?fhfilter=comment
		       /index2.pl?fhfilter=comments
		       /index2.pl?fhfilter=poll
		       /index2.pl?fhfilter=polls
		       /apple.srad.jp/story/18/12/12/0323220/
		       /apple/02/10/23/169226.shtml
		       /apple/comments.pl?sid=455312&cid=1590650
		       /2011_azure/comments.pl?cid=1969321&commentsort=0&mode=nested&sid=535070&threshold=1
		       /article.pl?from=rss&sid=07%2F11%2F03%2F1323204
		       /article.pl?sid=08/10/07/0542232
		       /articles/08/07/10/0217221.shtml
		       /comments.pl?cid=1094200&commentsort=0&mode=thread&sid=347884&threshold=1
		       /developers/
		       /firehose/
		       /firehose.pl
		       /firehose.pl?page=1section=&view=stories
		       /hof.pl
		       /hof.shtml
		       /i/
		       /idle/article.pl?sid=10/10/09/0235249
		       /index.pl?issue=20081024
		       /index.pl?section=mac
		       /index.pl
		       /index2.pl?section=mainpage&color=blue&index=1&view=stories&duration=-1&startdate=20130123&page=1
		       /journal.pl?op=display&uid=7298&id=64101
		       /journal.pl?op=friends
		       /journal.pl?op=list&uid=13027
		       /m/
		       /m/03/01/27/2336250.shtml
		       /polls/120?aid=-1
		       /privacy.shtml
		       /srad.jp/comment/3540662
		       /srad.jp/story/03/01/01/1059203/
		       /stories
		       /stories/ai
		       /story
		       /supporters.shtml
		       /users.pl?light=1&uid=1
		       /users.pl?nick=Anonymous%20Coward&op=userinfo
		       /users.pl?op=userinfo&uid=1
		       /yro/index.pl?issue=20100524&section=yro
		  )];

# /softwaremap.pl
# /search.pl?op=comments&sid=124301

# create submission for test

my $test_man = Newslash::Util::TestMan->new($t);
my $submission = $test_man->create_submission(title => "redirect test");
my $fh_item = $t->app->model('firehose')->select(srcid => $submission->{subid},
					       type => "submission");
ok($fh_item && @$fh_item, "create and get temporaty firehose item");
push @$test_urls, "/firehose.pl?op=view&id=$fh_item->[0]{id}";

for my $url (@$test_urls) {
    $t->get_ok($url)->status_is(301, "redirect from $url");
}

$test_man->cleanup;
done_testing;
