# -*-Perl-*-
# Sendmail plugin tests

use Mojo::Base -strict;
use Test::More;
use Test::Mojo;
use Data::Dumper;

my $t = Test::Mojo->new('Newslash::Web');

subtest 'send mail' => sub {
    plan skip_all => "mode is not 'test'" if ($t->app->mode ne 'test');

    my $conf = $t->app->config->{Sendmail};

    # send mail with smtp transport
    $conf->{transport} = "smtp";
    my $mail = {
                to => 'test@example.com',
                title => "this is test mail",
                body => "this is test mail",
               };
    ok($t->app->sendmail(%$mail), "send mail");

    # send mail with sendmail transport
    $conf->{transport} = "sendmail";
    ok($t->app->sendmail(%$mail), "send mail by sendmail");
};


done_testing();
