# -*-Perl-*-
# basic simple and non-destructive tests
use Mojo::Base -strict;
use Mojo::Date;

use Test::More;
use Test::Mojo;

use Newslash::Util::TextFormatter qw(strip_by_mode);

my $t = Test::Mojo->new('Newslash::Web');

my $test_text = <<'EOT';
あるAnonymous Coward 曰く、<blockquote><div><p>CERNの科学者らがさまざまな観測を行った結果、宇宙は本来は存在できないはずだったという結論に至ったという（<a href="https://cosmosmagazine.com/physics/universe-shouldn-t-exist-cern-physicists-conclude">COSMOS</a>、<a href="https://www.nature.com/nature/journal/v550/n7676/full/nature24048.html">nature</a>、<a href="http://www.ign.com/articles/2017/10/24/cern-scientists-conclude-that-the-universe-should-not-exist">IGN</a>、<a href="https://science.slashdot.org/story/17/10/26/149201/cern-scientists-conclude-that-the-universe-should-not-exist">Slashdot</a>）。
</p><p>
一般的な宇宙誕生論では、ビッグバンの後に膨張して冷えていく過程で、中にあった物質と反物質が対消滅を繰り返し、対消滅を免れたものだけが残り、結果として現在の宇宙が形成されたと言われている。この場合、物質のほうが反物質よりも数が多くなる理由が必要となる。しかし、CERNの物理学者が反陽子の磁気モーメントを正確に測定した結果、それが陽子と全く同じであることが分かった。つまり、物質と反物質は完全に対照的でありまったく同じだけの数が存在すると予想されるということになる。そのため、本来であれば物質と反物質はすべて対消滅して消えてしまい、宇宙は存在するはずがなかったという。
</p><p>
CERNの物理学者Christian Smorra氏は、「私たちの観測では物質と反物質の完全な対称性が見いだされている。アシンメトリーはどこかに存在しなければならないが、違いがどこにあるのか分かない」と語っている。
</p><p>
IGNのニュース編集者Joe Skrebels氏は上記の内容を紹介する記事で、この現象を説明できるのはシミュレーション仮説しかないとしている。</p></div></blockquote>
EOT

my $test_text2 = <<'EOT';
乱獲によるマグロの個体数減少が問題となっており、とくにクロマグロについては絶滅の危機と言われるほどの状況となっていた。しかし、漁獲規制によって大西洋クロマグロの資源量は回復、漁獲量が増える見通しだという（Yahoo!ニュース）。漁獲規制については日欧で取引を追跡する仕組みを作り、不正漁獲ができないようにした点が大きいという。これによって産卵量が増え、急激に個体数が回復したようだ。これにより、2014年には1万3400トンに制限されていた漁獲量が2020年には3万6000トンにまで増やされる見込みだという。また、これに伴って日本への配分量も1140トンから2801トンになるようだ。なお、日本周辺に生息する太平洋クロマグロについては漁獲規制が難航、違法操業なども続いているという。Nintendo Switchの筐体の一部で小さな隙間が発生するという問題が指摘されている（The Verge、GIGAZINE）。The Vergeの記事に掲載されている写真を見ると、背面カバーの接合部に僅かに隙間があることが確認できる。ある購入者によると、量販店やNintendo Storeで購入した3台のSwitchのすべてでこのような隙間が見られたという。この問題はRedditや任天堂のサポートフォーラムでも報告されている。また、福井新聞では原子力規制委員会の更田豊志委員長が「1次系ナトリウムの取り出しは難しい」との認識を示したと報じられている。これらに対し、日本原子力研究開発機構（原子力機構）はナトリウム取り出しは可能と発表、記事については「事実関係を十分に取材せずに掲載」と抗議している。「記事解説」と題された発表によると、「原子炉容器内のナトリウムは燃料取り出しが終了するまでは、原子炉容器から抜き取ることは行わない」としている。そのため、現在準備している廃止措置計画の認可申請ではまず燃料取出し作業についての認可申請を行っており、ナトリウム抜き取りについては別途変更認可申請を行う計画だという。また、運転段階においては原子炉容器内のナトリウムを抜き取る設計にはしていないとのことで、まだナトリウムをどう抜き取るかについては決定していないとのことだが、「メンテナンス冷却系の入口配管を活用するなどにより抜き取ることが技術的に可能と考えている」「その上で原子炉容器の最底部に残留するナトリウム（約１?）については、更なる抜き取り方法を検討するが、技術的に十分可能なものである」としている。ナトリウムの放射能レベルについても、運転を停止してから長時間経っていることから低く、人が近づけないレベルではないという。ただ、ナトリウムの処理が難しい問題であることは事実のようだ。たとえば1998年に運転を終了したフランスの高速増殖炉「スーパーフェニックス」では、10年かけてナトリウムの処理を行い、ようやく2017年末に抜き取りが完了する目処が立ったという（毎日新聞の過去記事）。
EOT

my $editor_conf = $t->app->config("Editor") || {};
my $allowed_tags = $editor_conf->{allowed_tags} || {};

for my $i (1, 2, 3, 4) {
    my $result = strip_by_mode($test_text, $i, allowed_tags => $allowed_tags);
    ok($result, "mode $i");
}

my $result = Newslash::Util::TextFormatter::contextual_strip($test_text2, 500, 50);
ok($result);
#diag $result;

done_testing;
