# -*- coding: utf-8

from HTMLParser import HTMLParser
from htmlentitydefs import name2codepoint

class HTMLTagStripper(HTMLParser):
    def __init__(self):
        HTMLParser.__init__(self)
        self.result = []
        self.urls = []

    def handle_data(self, data):
        self.result.append(data)
        
    def handle_entityref(self, name):
        # pass when invalid entity given
        if name not in name2codepoint:
            return

        c = unichr(name2codepoint[name])
        self.result.append(c)

    def handle_starttag(self, tag, attrs):
        if tag != 'a':
            return
        for (attr, val) in attrs:
            if attr == 'href':
                self.urls.append(val)
        
    def handle_charref(self, name):
        if name.startswith('x'):
            c = unichr(int(name[1:], 16))
        else:
            c = unichr(int(name))
        self.result.append(c)


def strip_html_tag(html):
    p = HTMLTagStripper()
    p.feed(html)
    return ("".join(p.result), p.urls)
    
