#!/usr/bin/python
import sys
import re

head = []
foot = []
keys = []
columns = []
name_len_max = 0
type_len_max = 0
key_len_max = 0

for line in sys.stdin:
    line = line.strip()
    if re.match(r"^\s*$", line):
        continue
    items = line.split(None, 3)
    if len(items) == 0:
        continue

    if items[0] == "CREATE" and items[1] == "TABLE":
        items[1] = "TABLE IF NOT EXISTS"
        head.append(" ".join(items))
        continue

    if re.match(r"^`", items[0]):
        if len(items[0]) > name_len_max:
            name_len_max = len(items[0])
        if len(items) > 2 and items[2] == 'unsigned':
            items[1] = items[1] + " " + items[2]
            items.pop(2)
        if len(items[1]) > type_len_max:
            type_len_max = len(items[1])
        columns.append(items);
        continue

    if re.match(r"^(KEY|PRIMARY|UNIQUE)", items[0]):
        items[0] = " ".join(items[0:2])
        items.pop(1)
        if len(items[0]) > key_len_max:
            key_len_max = len(items[0])
        keys.append(items)
        continue

    foot.append(" ".join(items))
        
print "\n".join(head)
for items in columns:
    n = len(items[0])
    if n < name_len_max:
        t = "  " + items[0] + " " * (name_len_max - n)
    else:
        t = "  " + items[0]

    n = len(items[1])
    if n < type_len_max:
        t = t + " " + items[1] + " " * (type_len_max - n)
    else:
        t = t + " " + items[1]

    print t + " " + " ".join(items[2:])

for items in keys:
    n = len(items[0])
    if n < key_len_max:
        t = "  " + items[0] + " " * (key_len_max - n)
    else:
        t = "  " + items[0]
    print t + " " + " ".join(items[1:])
    
print "\n".join(foot)
