CREATE TABLE IF NOT EXISTS `topics` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `keyword` varchar(20) NOT NULL DEFAULT '',
  `textname` varchar(80) NOT NULL DEFAULT '',
  `series` enum('no','yes') NOT NULL DEFAULT 'no',
  `image` varchar(100) NOT NULL DEFAULT '',
  `width` smallint(5) unsigned NOT NULL DEFAULT '0',
  `height` smallint(5) unsigned NOT NULL DEFAULT '0',
  `submittable` enum('no','yes') NOT NULL DEFAULT 'yes',
  `searchable` enum('no','yes') NOT NULL DEFAULT 'yes',
  `storypickable` enum('no','yes') NOT NULL DEFAULT 'yes',
  `usesprite` enum('no','yes') NOT NULL DEFAULT 'no',
  PRIMARY KEY (`tid`),
  UNIQUE KEY `keyword` (`keyword`)
) DEFAULT CHARSET=utf8mb4;

INSERT INTO `topics` VALUES (26,'gnome','GNOME','no','gnome_64.png',64,64,'yes','yes','yes','no'),(27,'linux','Linux','no','linux_64.png',64,64,'yes','yes','yes','no'),(37,'mozilla','Mozilla','no','mozilla_64.png',64,64,'yes','yes','yes','no'),(39,'upgrades','アップグレード','no','upgrades_64.png',64,64,'yes','yes','yes','no'),(45,'politics','政治','no','politics_64.png',64,64,'yes','yes','yes','no'),(49,'mainpage','mainpage','no','',0,0,'no','no','no','no'),(53,'google','Google','no','google_64.png',64,64,'yes','yes','yes','no'),(59,'ruby','Ruby','no','ruby_64.png',64,64,'yes','yes','yes','no'),(70,'srad','スラド','no','srad_64.png',64,64,'yes','yes','yes','no'),(73,'ntt','NTT','no','ntt_64.png',64,64,'yes','yes','yes','no'),(75,'jaxa','JAXA','no','jaxa_64.png',64,64,'yes','yes','yes','no'),(81,'hpc','スパコン','no','supercomputing_64.png',64,64,'yes','yes','yes','no'),(84,'opensource','オープンソース','no','opensource_64.png',64,64,'yes','yes','yes','no'),(101,'macosx','MacOSX','no','macosx_64.png',64,64,'yes','yes','yes','no'),(111,'nuclear','原子力','no','atomic_64.png',64,64,'yes','yes','yes','no'),(144,'mars','火星','no','mars_64.png',64,64,'yes','yes','yes','no'),(157,'apple','アップル','no','apple_64.png',64,64,'yes','yes','yes','no'),(158,'censorship','検閲','no','censorship_64.png',64,64,'yes','yes','yes','no'),(186,'copyright','著作権','no','copyright_64.png',64,64,'yes','yes','yes','no'),(196,'windows','Windows','no','windows_64.png',64,64,'yes','yes','yes','no'),(204,'security','セキュリティ','no','security_64.png',64,64,'yes','yes','yes','no'),(215,'tv','テレビ','no','tv_64.png',64,64,'yes','yes','yes','no'),(217,'drm','DRM','no','drm_64.png',64,64,'yes','yes','yes','no'),(220,'it','IT','no','it_64.png',64,64,'yes','yes','yes','no'),(222,'iphone','iPhone','no','iphone_64.png',64,64,'yes','yes','yes','no'),(224,'unix','UNIX','no','unix_64.png',64,64,'yes','yes','yes','no'),(246,'movies','映画','no','movies_64.png',64,64,'yes','yes','yes','no'),(256,'bug','バグ','no','bug_64.png',64,64,'yes','yes','yes','no'),(261,'apache','apache','no','apache_64.png',64,64,'yes','yes','yes','no'),(263,'kde','KDE','no','kde_64.png',64,64,'yes','yes','yes','no'),(272,'opera','Opera','no','opera_64.png',64,64,'yes','yes','yes','no'),(325,'perl','Perl','no','perl_64.png',64,64,'yes','yes','yes','no'),(335,'humor','変なモノ','no','humor_64.png',64,64,'yes','yes','yes','no'),(379,'novell','Novell','no','novell_64.png',64,64,'yes','yes','yes','no'),(407,'yahoo','Yahoo!','no','yahoo_64.png',64,64,'yes','yes','yes','no'),(408,'mobile','モバイル','no','portables_64.png',64,64,'yes','yes','yes','no'),(414,'facebook','Facebook','no','facebook_64.png',64,64,'yes','yes','yes','no'),(415,'sns','SNS','no','social_64.png',64,64,'yes','yes','yes','no'),(418,'intel','Intel','no','intel_64.png',64,64,'yes','yes','yes','no'),(440,'os','OS','no','os_64.png',64,64,'yes','yes','yes','no'),(444,'science','サイエンス','no','science_64.png',64,64,'yes','yes','yes','no'),(454,'suse','SuSE','no','suse_64.png',64,64,'yes','yes','yes','no'),(456,'japan','日本','no','japan_64.png',64,64,'yes','yes','yes','no'),(468,'microsoft','マイクロソフト','no','microsoft_64.png',64,64,'yes','yes','yes','no'),(472,'tech','テクノロジー','no','technology_64.png',64,64,'yes','yes','yes','no'),(473,'transport','交通','no','transportation_64.png',64,64,'yes','yes','yes','no'),(474,'communications','通信','no','communications_64.png',64,64,'yes','yes','yes','no'),(486,'sony','Sony','no','sony_64.png',64,64,'yes','yes','yes','no'),(500,'games','ゲーム','no','games_64.png',64,64,'yes','yes','yes','no'),(502,'youtube','YouTube','no','youtube_64.png',64,64,'yes','yes','yes','no'),(517,'medicine','医療','no','medicine_64.png',64,64,'yes','yes','yes','no'),(523,'ed','教育','no','education_64.png',64,64,'yes','yes','yes','no'),(539,'wikipedia','Wikipedia','no','wikipedia_64.png',64,64,'yes','yes','yes','no'),(545,'books','書籍','no','books_64.png',64,64,'yes','yes','yes','no'),(598,'firefox','Firefox','no','firefox_64.png',64,64,'yes','yes','yes','no'),(617,'china','中国','no','ch_64.png',64,64,'yes','yes','yes','no'),(637,'bsd','BSD','no','bsd_64.png',64,64,'yes','yes','yes','no'),(638,'android','Android','no','android_64.png',64,64,'yes','yes','yes','no'),(645,'usa','アメリカ合衆国','no','usa_64.png',64,64,'yes','yes','yes','no'),(683,'java','Java','no','java_64.png',64,64,'yes','yes','yes','no'),(736,'amd','AMD','no','amd_64.png',64,64,'yes','yes','yes','no'),(767,'ibm','IBM','no','ibm_64.png',64,64,'yes','yes','yes','no'),(782,'crime','犯罪','no','crime_64.png',64,64,'yes','yes','yes','no'),(786,'hp','HP','no','hp_64.png',64,64,'yes','yes','yes','no'),(791,'space','宇宙','no','space_64.png',64,64,'yes','yes','yes','no'),(795,'spam','spam','no','spam_64.png',64,64,'yes','yes','yes','no'),(802,'ubuntu','Ubuntu','no','ubuntu_64.png',64,64,'yes','yes','yes','no'),(891,'oracle','Oracle','no','oracle_64.png',64,64,'yes','yes','yes','no'),(925,'nintendo','任天堂','no','nintendo_64.png',64,64,'yes','yes','yes','no'),(927,'gundam','ガンダム','no','gundum_64.png',64,64,'yes','yes','yes','no'),(943,'python','Python','no','python_64.png',64,64,'yes','yes','yes','no'),(959,'portables','ノートPC','no','notepc_64.png',64,64,'yes','yes','yes','no'),(963,'php','PHP','no','php_64.png',64,64,'yes','yes','yes','no'),(998,'programming','プログラミング','no','programming_64.png',64,64,'yes','yes','yes','no'),(1145,'yro','YRO','no','yro_64.png',64,64,'yes','yes','yes','no'),(1174,'media','メディア','no','themedia_64.png',64,64,'yes','yes','yes','no'),(1264,'gnu','GNU is Not Unix','no','gnu_64.png',64,64,'yes','yes','yes','no'),(1272,'nasa','NASA','no','nasa_64.png',64,64,'yes','yes','yes','no'),(1287,'debian','Debian','no','debian_64.png',64,64,'yes','yes','yes','no'),(1288,'eff','EFF','no','eff_64.png',64,64,'yes','yes','yes','no'),(1363,'safari','Safari','no','safari_64.png',64,64,'yes','yes','yes','no'),(1406,'transmeta','Transmeta','no','transmeta_64.png',64,64,'yes','yes','yes','no'),(1428,'cellphone','携帯電話','no','cellphones_64.png',64,64,'yes','yes','yes','no'),(1467,'be','Be','no','be_64.png',64,64,'yes','yes','yes','no'),(1484,'twitter','Twitter','no','twitter_64.png',64,64,'yes','yes','yes','no'),(1485,'money','お金','no','money_64.png',64,64,'yes','yes','yes','no'),(1546,'advertising','広告','no','advertising_64.png',64,64,'yes','yes','yes','no'),(1550,'wine','Wine','no','wine_64.png',64,64,'yes','yes','yes','no'),(1629,'encryption','暗号','no','encryption_64.png',64,64,'yes','yes','yes','no'),(1738,'macosclassic','MacOS Classic','no','macosclassic_64.png',64,64,'yes','yes','yes','no'),(1758,'math','数学','no','math_64.png',64,64,'yes','yes','yes','no'),(1776,'music','音楽','no','music_64.png',64,64,'yes','yes','yes','no'),(1793,'aprilfool','エイプリルフール','no','april_64.png',64,64,'yes','yes','yes','no'),(1810,'botnet','ボットネット','no','botnet_64.png',64,64,'yes','yes','yes','no'),(1836,'stats','統計','no','stats_64.png',64,64,'yes','yes','yes','no'),(1913,'internet','インターネット','no','internet_64.png',64,64,'yes','yes','yes','no'),(1916,'software','ソフトウェア','no','software_64.png',64,64,'yes','yes','yes','no'),(1918,'government','政府','no','government_64.png',64,64,'yes','yes','yes','no'),(1919,'biotech','バイオテック','no','biotech_64.png',64,64,'yes','yes','yes','no'),(1921,'slashdot','スラッシュドット','no','meta_64.png',64,64,'yes','yes','yes','no'),(1925,'earth','地球','no','earth_64.png',64,64,'yes','yes','yes','no'),(1928,'business','ビジネス','no','business_64.png',64,64,'yes','yes','yes','no'),(1929,'robot','ロボット','no','robot_64.png',64,64,'yes','yes','yes','no'),(1931,'review','レビュー','no','',0,0,'yes','no','yes','no'),(1936,'keitai','携帯通信','no','wireless_64.png',64,64,'yes','yes','yes','no'),(1944,'database','データベース','no','database_64.png',64,64,'yes','yes','yes','no'),(1945,'hardwarehack','ハードウェアハック','no','hardhack_64.png',64,64,'yes','yes','yes','no'),(1946,'input','入力デバイス','no','inputdev_64.png',64,64,'yes','yes','yes','no'),(1950,'toys','おもちゃ','no','toy_64.png',64,64,'yes','yes','yes','no'),(1953,'storage','ストレージ','no','storage_64.png',64,64,'yes','yes','yes','no'),(1954,'sports','スポーツ','no','sports_64.png',64,64,'yes','yes','yes','no'),(1958,'pilot','ハンドヘルド','no','handheld_64.png',64,64,'yes','yes','yes','no'),(1960,'doj','法廷','no','court_64.png',64,64,'yes','yes','yes','no'),(1963,'news','ニュース','no','news_64.png',64,64,'yes','yes','yes','no'),(1967,'interview','インタビュー','no','interview_64.png',64,64,'yes','yes','yes','no'),(1970,'military','軍事','no','military_64.png',64,64,'yes','yes','yes','no'),(1975,'power','電力','no','power_64.png',64,64,'yes','yes','yes','no'),(1994,'announce','アナウンス','no','announcements_64.png',64,64,'yes','yes','yes','no'),(1996,'redhat','レッドハット','no','redhat_64.png',64,64,'yes','yes','yes','no'),(2004,'network','ネットワーク','no','network_64.png',64,64,'yes','yes','yes','no'),(2012,'leakage','情報漏洩','no','leakage_64.png',64,64,'yes','yes','yes','no'),(2015,'moon','月','no','moon_64.png',64,64,'yes','yes','yes','no'),(2023,'sgi','SGI','no','sgi_64.png',64,64,'yes','yes','yes','no'),(2037,'patents','パテント','no','patents_64.png',64,64,'yes','yes','yes','no'),(2038,'links','リンク','no','links_64.png',64,64,'yes','yes','yes','no'),(2047,'printers','プリンター','no','printer_64.png',64,64,'yes','yes','yes','no'),(2049,'privacy','プライバシ','no','privacy_64.png',64,64,'yes','yes','yes','no'),(2051,'graphics','グラフィック','no','graphics_64.png',64,64,'yes','yes','yes','no'),(2068,'journal','日記','no','journal_64.png',64,64,'yes','yes','yes','no'),(2069,'worms','ワーム','no','worms_64.png',64,64,'yes','yes','yes','no'),(2091,'slashback','スラッシュバック','no','slashback_64.png',64,64,'yes','yes','yes','no'),(2108,'monitors','モニター','no','displays_64.png',64,64,'yes','yes','yes','no'),(2111,'entertainment','娯楽','no','entertainment_64.png',64,64,'yes','yes','yes','no'),(2114,'turbolinux','ターボリナックス','no','turbolinux_64.png',64,64,'yes','yes','yes','no'),(2183,'developers','デベロッパー','no','',0,0,'yes','no','yes','no'),(2215,'starwars','スター・ウォーズ','no','starwars_64.png',64,64,'yes','yes','yes','no'),(2271,'slash','スラッシュコード','no','slashcode_64.png',64,64,'yes','yes','yes','no'),(2421,'strek','スター・トレック','no','startrek_64.png',64,64,'yes','yes','yes','no'),(2443,'earthquake','地震','no','earthquake_64.png',64,64,'yes','yes','yes','no'),(2570,'ie','インターネットエクスプローラ','no','msie_64.png',64,64,'yes','yes','yes','no'),(2586,'chrome','Chrome','no','chrome_64.png',64,64,'yes','yes','yes','no'),(2720,'unitedkingdom','英国','no','uk_64.png',64,64,'yes','yes','yes','no'),(2889,'eu','EU','no','eu_64.png',64,64,'yes','yes','yes','no'),(3187,'xmas','クリスマス','no','xmas_64.png',64,64,'yes','yes','yes','no'),(3261,'x','X','no','x_64.png',64,64,'yes','yes','yes','no'),(3425,'netscape','ネットスケープ','no','netscape_64.png',64,64,'yes','yes','yes','no'),(3627,'compaq','Compaq','no','compaq_64.png',64,64,'yes','yes','yes','no'),(3786,'blackberry','Blackberry','no','blackberry_64.png',64,64,'yes','yes','yes','no'),(3863,'chromium','Chromium','no','chromium_64.png',64,64,'yes','yes','yes','no'),(3967,'quake','Quake','no','quake_64.png',64,64,'yes','yes','yes','no'),(4084,'tron','TRON','no','tron_64.png',64,64,'yes','yes','yes','no'),(4087,'cloud','クラウド','no','cloud_64.png',64,64,'yes','yes','yes','no'),(4849,'digital','Digital','yes','digital_64.png',64,64,'yes','yes','yes','no'),(6192,'virtualization','仮想化','no','virtualization_64.png',64,64,'yes','yes','yes','no'),(6331,'australia','オーストラリア','no','australia_64.png',64,64,'yes','yes','yes','no'),(6337,'piracy','海賊行為','no','piracy_64.png',64,64,'yes','yes','yes','no'),(6448,'ai','人工知能','no','ai_64.png',64,64,'yes','yes','yes','no'),(6454,'beer','ビール','no','beer_64.png',64,64,'yes','yes','yes','no'),(6459,'namazu','Namazu','no','namazu_64.png',64,64,'yes','yes','yes','no'),(6548,'canada','カナダ','no','canada_64.png',64,64,'yes','yes','yes','no'),(6688,'editorial','論説','no','editorial_64.png',64,64,'yes','yes','yes','no'),(6690,'iss','国際宇宙ステーション','no','iss_64.png',64,64,'yes','yes','yes','no'),(6787,'amiga','Amiga','no','amiga_64.png',64,64,'yes','yes','yes','no'),(6788,'caldera','Caldera','no','caldera_64.png',64,64,'yes','yes','yes','no'),(6790,'enlightenment','enlightenment','no','enlightenment_64.png',64,64,'yes','yes','yes','no'),(6791,'gui','GUI','no','gui_64.png',64,64,'yes','yes','yes','no'),(6792,'idle','idle','no','idle_64.png',64,64,'yes','yes','yes','no'),(6793,'ios','iOS','no','ios_64.png',64,64,'yes','yes','yes','no'),(6796,'linuxbiz','Linux ビジネス','no','linuxbusiness_64.png',64,64,'yes','yes','yes','no'),(6797,'askslashdot','スラドに聞け！','no','',0,0,'yes','no','yes','no'),(6798,'gimp','The Gimp','no','gimp_64.png',64,64,'yes','yes','yes','no'),(6800,'azure','Windows Azure','no','azure_64.png',64,64,'yes','yes','yes','no'),(6801,'ximian','Ximian','no','ximian_64.png',64,64,'yes','yes','yes','no'),(6802,'anime','アニメ・マンガ','no','anime_64.png',64,64,'yes','yes','yes','no'),(6803,'aol','アメリカオンライン','no','aol_64.png',64,64,'yes','yes','yes','no'),(6805,'sun','サン・マイクロシステムズ','no','sun_64.png',64,64,'yes','yes','yes','no'),(6806,'hardware','ハードウェア','no','hardware_64.png',64,64,'yes','yes','yes','no'),(6807,'oldnews','ニュース（旧）','no','topicnews.gif',60,66,'no','no','no','no');
