CREATE TABLE IF NOT EXISTS `vars` (
  `name` varchar(48) NOT NULL DEFAULT '',
  `value` mediumtext,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`name`)
) DEFAULT CHARSET=utf8mb4;

INSERT INTO `vars` VALUES ('absolutedir','http://sdtest.osdn.co.jp','Absolute base URL of site; used for creating links external to site that need a complete URL'),('accesslog_css_skip','1','Skip logging css hits to accesslog table?'),('accesslog_disable','0','Disable apache writing to accesslog?'),('accesslog_hoursback','60','Number of hours before accesslog rows are purged'),('accesslog_imageregex','NONE','Image hits will only be written into accesslog if their URL path matches this regex, empty string for all, NONE for none'),('accesslog_insert_cachesize','10','Cache accesslog inserts and do this many all at once (0 to disable, if enabled, suggest value of 5 or so)'),('ach_maker_adlesstime','259200','After a maker_mode user turns off ads, how long does the adless state persist, in seconds'),('adjust_m2_freq','0','If true, m2_freq will be automatically adjusted to match rates of m1s and m2s'),('adminmail','slashmaster@sdtest.osdn.co.jp','All admin mail goes here'),('adminmail_ban','admin@sdtest.osdn.co.jp','All admin mail about users being banned goes here'),('adminmail_check_replication','0','Check replication if is caught up before starting adminmail'),('adminmail_last_run','2017-02-28','day adminmail last ran'),('adminmail_mod','admin@sdtest.osdn.co.jp','All admin mail about moderation goes here'),('adminmail_post','admin@sdtest.osdn.co.jp','All admin mail about comment posting goes here'),('admin_comment_display_days','30','Number of days back worth of comments to show admin on a user page'),('admin_comment_subsequent_pagesize','50','Number of comments to show per page for admins on pages past the intial one'),('admin_daysback_commentlimit','100','Limit on number of comments to show on initial page for X days back of comments (Empty string for no limit)'),('admin_editable_spammers_journal','1','seclev >= 10000 のユーザが Spammer の日記を編集できるようにするかどうか'),('admin_formkeys','0','Do admins have to bother with formkeys?'),('admin_maxdays_divider','14','Max number of days on the admin.pl story list to bother showing the day-dividers'),('admin_story_lookahead_default','31536000','In the admin.pl storylist, how many seconds to look into the future for all stories by default (but see skins_admin_story_lookahead_mainpage)'),('admin_story_lookahead_infinite','1','In the admin.pl storylist, always show all future stories no matter how far in the future?'),('admin_story_lookahead_mainpage','259200','In the admin.pl storylist, how many seconds to look into the future for stories on the mainpage'),('admin_timeout','30','time in minutes before idle admin session ends'),('admin_use_blob_for_upload','1','Use blobs for fileuploading - 1 for yes, 0 for no or file-based uploading'),('admin_warn_primaryskid','','Warn admin if a story is saved with the following primaryskids (skids delimited by |)'),('ads_footer_navigation_enable','1','footer_navigation での広告を有効にするか（有効にすると、各ページ最下部に個別に入っている広告を無効にする）'),('ad_enable_google_adsense_on_index','1','index ページ下部の Google AdSense を有効にするかどうか'),('al2_type_aliases','spammer->nosubmit spammer->nopost nopost->nopostanon','List of AL2s that imply other AL2s, in a whitespace-delimited list of A->B format'),('allow_anonymous','1','allow anonymous posters'),('allow_anon_poll_voting','1','Set this to decide whether anonymous users can vote in polls)'),('allow_insecure_login','1','allow non-SSL login/prefs for users (jp original fix)'),('allow_nonadmin_ssl','0','0=users with seclev <= 1 cannot access the site over Secure HTTP; 1=they all can; 2=only if they are subscribers'),('anchortags_bridge_breaks','0','Are <A> tags allowed to stretch across breaking tags (defined in approvedtags_break)?'),('anonymous_comment_interval','0','AC が同一ストーリーにコメントする最低間隔制限（分）'),('anonymous_coward_uid','1','UID to use for anonymous coward'),('anon_name','Anonymous Coward','匿名の名前'),('anon_name_alt','あるAnonymous Coward','Name of anonymous user to be displayed in stories'),('apache_cache','3600','Default times for the getCurrentCache().'),('approvedtags','b|i|p|br|a|ol|ul|li|dl|dt|dd|em|strong|tt|blockquote|div|ecode|del|ins|sub|sup|quote|strike','Tags that you can use'),('approvedtags_admin','b|i|p|br|a|ol|ul|li|dl|dt|dd|em|strong|tt|blockquote|div|ecode|img|hr|big|small|sub|sup|span|dfn|code|samp|kbd|var|cite|address|ins|del|h1|h2|h3|h4|h5|h6|table|thead|tbody|tfoot|tr|th|td|pre|slash|abbr|q|object|embed|param|iframe','Tags that you can use'),('approvedtags_attr','a:href_RU img:src_RU,alt_N,width,height,longdesc_U blockquote:cite_U,title ol:start','definition of approvedtags attributes in the following format a:href_RU img:src_RU,alt,width,height,longdesc_U see Slash::Utility::Data.pm for more details'),('approvedtags_attr_admin','a:href_U,name,title,rel,target div:id,class,title,style,dir,lang span:id,class,title,style,dir,lang slash:type_R,id,href_U,story,nickname,uid,user,align,width,height,title table:align,bgcolor,border,cellpadding,cellspacing,width,style,class tr:align,bgcolor,valign,style,class th:align,bgcolor,colspan,height,rowspan,valign,width,style,class td:align,bgcolor,colspan,height,rowspan,valign,width,style,class abbr:title object:height,width embed:src,type,allowscriptaccess,allowfullscreen,width,height param:name,value iframe:width,height,src,frameborder,allowfullscreen,srcdoc,name','inherits from approvedtags_attr'),('approvedtags_break','p|br|ol|ul|li|dl|dt|dd|blockquote|div|img|hr|h1|h2|h3|h4|h5|h6','Tags that break words (see breakHtml())'),('approved_url_schemes','ftp|http|gopher|mailto|news|nntp|telnet|wais|https','Schemes that can be used in comment links without being stripped of bogus chars'),('archive2_tz_offset','-9','offset hours to calculate date boundary. if JST, -9.'),('archive_dateformat','%Y年%m月%e日 %k時%M分','format for dates when stories are archived to shtml'),('archive_delay','60','days to wait for story archiving, comments deleting'),('archive_delay_mod','60','Days before moderator logs are expired'),('archive_dir','ASC','direction we want items to be archived ordered and handled'),('archive_limit','500','maximum number of articles to archive at a time'),('articles_only','0','show only Articles in submission count in admin menu'),('article_link_story_dynamic','0','Change default dynamic status for story linking'),('article_redirect_article2','1','redirect article pages to article2 pages?'),('article_shtml_redirect_article2','1','redirect article pages to article2 pages?'),('authors_unlimited','101','Seclev for which authors have unlimited comment-moderation and -deletion power (see also the ACLs)'),('autoaddstorytopics_use_textname','1','Use \"textname\" instead of \"keyword\" for Auto-add tags for story topic'),('backup_db_user','','The virtual user of the database that the code should use for intensive database access that may bring down the live site. If you don\'t know what this is for, you should leave it blank.'),('badge_icon_ext','png','Badge icon extension (\"gif\" or \"png\", probably)'),('badge_icon_size','16','Badge icon height/width'),('badge_icon_size_wide','32','Badge icon width for wide icons'),('badkarma','-10','Users get penalized for posts if karma is below this value'),('bad_password_warn_ip','40','Warn admin if an ip specifies password incorrectly this many times in one day'),('bad_password_warn_subnet','60','Warn admin if a subnet specifies password incorrectly this many times in one day'),('bad_password_warn_uid','40','Warn admin if user specifies password incorrectly this many times in one day'),('bad_password_warn_user_limit','30','Warn a user on the Nth bad password attempt within 24 hours. Set to 0 if you do not want users to be warned'),('banlist_expire','10','Default expiration time for the banlist cache'),('basedir','/var/lib/slash/site/sdtest.osdn.co.jp/htdocs','Where should the html/perl files be found?'),('basedomain','sdtest.osdn.co.jp','The URL for the site'),('bayes_drop_percent','90','Percentage of bayes marked items to drop to lowest color level, leave at 0 to disable this behavior'),('block_expire','60','Default expiration time for the block cache'),('body_bytes','1','Use Slashdot like byte message instead of word count on stories'),('bookmark_allowed_schemes','http|https','Schemes to allow for bookmarks.  Separate entries with |'),('bookmark_new_disabled','1','Disable new bookmark creation'),('bookmark_popular_days','1','Number of days back to look for popular bookmarks'),('bounce_address','bounce+###ADDR###@sdtest.osdn.co.jp',''),('bounce_address_static','noreply@sdtest.osdn.co.jp','Enverope from for Bulkmails'),('bounce_domain','bounce.sdtest.osdn.co.jp','bounce domain'),('breakhtml_wordlength','8000','Maximum word length before whitespace is inserted in comments'),('breaking','100','Undefined'),('brief_sectional_mainpage','1','Show sectional stories in brief form on mainpage? 1 = yes,  0 = don\'t show'),('bytime_delay','65535','days to go back for next/previous links on stories'),('cache_enabled','1','Simple Boolean to determine if content is cached or not'),('cache_enabled_template','1','If set, then template caching is still active even if var cache_enabled is turned off.'),('can_moderate','1','Moderate'),('charrefs_bad_entity','zwnj|zwj|lrm|rlm','Entities that approveCharref should always delete'),('charrefs_bad_numeric','8204|8205|8206|8207|8236|8237|8238','Numeric references that approveCharref should always delete'),('clientip_xff_trust_header','','Name of HTTP request header to prefer over \"X-Forwarded-For\", if present'),('clientip_xff_trust_regex','^127\\.0\\.0\\.1$','IP addresses from which we will trust an X-Forwarded-Forheader'),('commentnew_msg','0','Allow sending of a message on every posted comment (dangerous)'),('commentstatus','0','default comment code'),('comments_anon_speed_limit','0','seconds delay before repeat posting for anonymous user.  If 0 uses defaults to speed_limit for all users'),('comments_anon_speed_limit_mult','1','Multiply speedlimit by this amount for each comment previously posted in the past 24 hours'),('comments_control_horizontal','0','Is Discussion2 control is configured horizontally?'),('comments_forgetip_hours','4320','Hours after which a comment\'s ipid/subnetid are forgotten; set very large to disable'),('comments_forgetip_maxrows','100000','Max number of rows to forget IPs of at once'),('comments_forgetip_mincid','2956251','Minimum cid to start forgetting IP at'),('comments_hardcoded','0','Turns on hardcoded layout (this is a Slashdot only feature)'),('comments_max_email_len','40\n','Max num of chars of fakeemail to display in comment header'),('comments_moddable_archived','0','Are comments in discussions that have been archived moderatable?'),('comments_moddable_hours','168','Num hours after being posted that a comment may be moderated'),('comments_mod_totals_exact','1','Show exact moderation counts?'),('comments_more_seclev','100','Seclev required to see More Comments (special: 2 means subscribers)'),('comments_perday_anon','50','Number of comments allowed to be posted per day, by any one IPID, anonymously.'),('comments_perday_bykarma','-1=2|25=50|99999=100','Number of comments allowed to be posted per day, by karma score.'),('comments_portscan','0','Scan incoming IPs for open proxy ports? 0=never, 1=anon posting only, 2=all posting'),('comments_portscan_cachehours','2','If comments_portscan_anon_for_proxy is true, hours to cache a result of a portscan for open proxies on a particular IP'),('comments_portscan_ports','80 8080 8000 3128','If comments_portscan_anon_for_proxy is true, scan these space-separated ports'),('comments_portscan_timeout','5','If comments_portscan_anon_for_proxy is true, use this as timeout'),('comments_response_limit','10','interval between reply and submit'),('comments_speed_limit','30','seconds delay before repeat posting'),('comment_cache_max_hours','96','Discussion age at which comments are no longer cached'),('comment_commentlimit','250','Max commentlimit users can set'),('comment_compress_slice','500','Chars to slice comment into for compressOk'),('comment_homepage_disp','50','Chars of poster URL to show in comment header'),('comment_is_troll_disable_and_log','0','Disable and log isTroll check for comments'),('comment_karma_limit','','Max karma that a single comment can cost a user, normally negative values or 0 to never take karma with downmods, empty string for unlimited'),('comment_maxscore','5','Maximum score for a specific comment'),('comment_minscore','-1','Minimum score for a specific comment'),('comment_nonstartwordchars','.,;:/','Chars which cannot start a word (will be forcibly separated from the rest of the word by a space) - this works around a Windows/MSIE \"widening\" bug - set blank for no action'),('comment_startword_workaround','0','Should breakHtml() insert kludgy HTML to work around an MSIE bug?'),('common_story_words','want these nasa another both which come form didn\'t many took engadget least better himself keep taken wide give also always each although what them seems important sometime arise owing your used again possible though shown over several widely time later ','Words which are considered too common to be used in detecting \"similar\" stories'),('content_type_webpage','text/html; charset=utf-8','The Content-Type header for webpages'),('cookiedomain','.sdtest.osdn.co.jp','Domain for cookie to be active (normally leave blank)'),('cookiepath','/','Path on server for cookie to be active'),('cookiesecure','0','Whether or not to set secure flag in cookies if SSL is on (not working)'),('cookie_location','none','Default for user\'s cookie_location value (also see users_info schema!)'),('counthits_lastmaxid','534796037','Last accesslog id scanned by counthits task'),('crazyegg_index_toggle','1','Controll to toggle on and of the crazyegg test code on the indax page'),('cssdir','//images.sdtest.osdn.co.jp','css directory'),('css_expire','3600','Time in seconds before css cache expires'),('css_use_imagedir','1','Place .css files in imagedir instead for your rootdir?  You may want to utilize this if you are using boa or another lightweight webserver to serve images.  Run symlink-tool after switching var'),('cur_performance_pps','slow','Pages per second the site is running at'),('cur_performance_stats','|No past performance data for comparison','Stores current performance stats in a var for display to admins'),('cur_performance_stats_disp','1','Show current performance stats?'),('cur_performance_stats_lastid','534796037','accesslogid to start searching at'),('cur_performance_stats_weeks','8','number of weeks back to compare current stats to'),('cur_performance_stat_ops','article|comments|index','ops to show current performance stats for'),('cvs_tag_currentcode','2015-07-03','The current cvs tag that the code was updated to - this does not affect site behavior but may be useful for your records'),('cvs_tag_currentcode_emit','1','Emit cvs_tag_currentcode revision number in the X-Powered-By header. If you are paranoid or believe in security through obscurity feel free to leave this false, but in the event of a security hole it may help us contact you'),('d2_default','none','Default discussion2 module name'),('daily_attime','04:00:00','Time of day to run dailyStuff (in TZ daily_tz; 00:00:00-23:59:59)'),('datadir','/var/lib/slash/site/sdtest.osdn.co.jp','What is the root of the install for Slash'),('daypass_offer_onlytologgedin','0','If 1, offer a daypass only tologged-in users'),('daypass_tz','PST','What timezone are daypasses considered to be in (this determines where \"midnight\" starts and ends the day)'),('dbsparklines_disp','0','Display dbsparklines in the currentAdminUsers box?'),('dbsparklines_height','40','Pixel height of sparkline graphs'),('dbsparklines_pngsuffix','664080240','Random number to make it hard for unauthorized users to read these PNGs without permission'),('dbsparklines_secsback','1800','How many seconds to look back for the sparklines'),('dbsparklines_width','150','Pixel width of sparkline graphs'),('dbsparklines_ymax','20','Max bog value (clip higher values to this)'),('dbsparklines_ymin','-20','Min lag value (clip lower values to this) - should be negative'),('dbs_reader_adjust_delay','5','Number of seconds between each adjustment of reader DB weights'),('dbs_reader_bog_secs_end','60','Number of seconds of reader DB bog at which balance_readers.pl hits the minimum weight'),('dbs_reader_bog_secs_start','5','Number of seconds of reader DB bog at which balance_readers.pl should start to reduce its weight'),('dbs_reader_bog_weight_min','0.2','The minimum weight to multiply a reader DB\'s base weight by once its bog hits dbs_reader_bog_secs_end'),('dbs_reader_expire_secs','604800','Number of seconds worth of dbs_readerstatus log to keep around'),('dbs_reader_lag_secs_end','30','Number of seconds of reader DB lag at which balance_readers.pl hits the minimum weight'),('dbs_reader_lag_secs_start','5','Number of seconds of reader DB lag at which balance_readers.pl should start to reduce its weight'),('dbs_reader_lag_weight_min','0.1','The minimum weight to multiply a reader DB\'s base weight by once its lag hits dbs_reader_lag_secs_end'),('dbs_reader_weight_increase_max','1.0','The maximum number of units per minute to restore weight back up to 1'),('dbs_reader_weight_reduce_max','2.0','The maximum number of units per minute to reduce weight down to the minimum'),('dbs_revive_seconds','30','After a DB goes from isalive=no to yes, ramp up accesses to it over how many seconds?'),('db_auto_increment_increment','1','If your master DB uses auto_increment_increment, i.e. multiple master replication, echo its value into this var'),('db_questions_accesslog_last','534796037',NULL),('db_questions_lasttime','1490713029',NULL),('db_questions_last_slash','13',NULL),('db_questions_last_sphinx01','10',NULL),('db_questions_last_testslash','21038075',NULL),('db_slave_lag_ignore','10000000','Bytes of lag between master and slave DB to ignore'),('debughash_getSkins','','false = no debugging; default regex = ^d+$'),('debughash_getTopicTree','','false = no debugging; default regex = ^d+$'),('debug_db_cache','0','If set, then write debug info for the Slash::DB cache to STDERR'),('debug_maintable_border','0','Border on the main table (for debugging purposes)'),('defaultbytelimit','5','The default setting for comment bytelimit'),('defaultcommentstatus','enabled','default code for article comments- normally \"enabled\"'),('defaultdisplaystatus','0','Default display status ...'),('defaultsection','articles','Default section to display'),('defaulttopic','1','Default topic to use'),('defaultwritestatus','1','Default write status for newly created articles'),('default_dfid','18','default \"date format id\" when the user press \"set to default\" button at users.pl'),('default_maxcommentsize','4096','Default user pref value, if you change the schema default for users_comments.maxcommentsize, change this too'),('default_rss_template','default','name of default rss template used by portald'),('default_tzcode','JST','default \"tzcode\" when the user press \"set to default\" button at users.pl'),('delayed_inserts_off','1','This turns off delayed inserts (which you probably want to do)'),('delete_old_stories','0','Delete stories and discussions that are older than the archive delay.'),('discussionrecyle','0','Default is that recylce never occurs on recyled discussions. This number is valued in days.'),('discussions_speed_limit','120','seconds delay before repeat discussion'),('discussion_approval','0','If this is set to 1, set all user created discussions when created to 0 so thatthey must be approved'),('discussion_archive','7','Number of days till discussions are set to read only.'),('discussion_create_seclev','1','Seclev required to create discussions (yes, this could be an ACL in the future).'),('discussion_default_topic','1','Default topic of user-created discussions.'),('discussion_sort_order','3','sort code to feed to findDiscussions'),('domain_tag_name','mainpage','domain tag name (jp specific)'),('down_moderations','-6','number of how many comments you can post that get down moderated'),('do_expiry','0','Flag which controls whether we expire users.'),('draconian_charrefs','0','Enable strictest-possible rules for disallowing HTML entities/character references?'),('draconian_charset','0','Convert igh-bit characters to character references, which are then filtered by approveCharrefs or encode_html_amp (works only with Latin-1 for now)'),('draconian_charset_convert','0','Convert some of high-bit chars to ASCII representations instead (see draconian_charset)'),('dynamic_blocks','1','Toggle to turn off dynamically updating slashboxes'),('editor_staff_shown_favorites','3|4|5|12|70|196|311|4042|4287|8569|15303|15854|27448|41064','A list of uid for editors and staff members whose favorite stories selections will be displayed'),('email_domains_invalid','example.com example.net example.org example.jp mailinator.com','space separated list of domains that are not valid for email addresses'),('enable_google_adsense_on_index','1','index ページ下部の Google AdSense を有効にするかどうか'),('enable_index_topic','','set this to the value in string param for index topic (something like \"topic_4\")'),('enable_template_evalperl','1','Add \"EVAL_PERL\" to Template option to be able to use \"PERL\" and \"RAWPERL\" directives'),('exportrss_delay_zaikei','2','財形新聞用のRSS遅延配信設定。Valueの単位は時間'),('exportrss_last_update','2016-01-28 10:16:03','exportrss の最終更新日時'),('exportrss_targets','excite,slashdot,zaikei','RSS でコンテンツを配信するターゲット名（「,」区切り）'),('exportrss_targets_no_contentencoded','livedoor,slashdot','exportrss で item に content:encoded を含まないターゲットのリスト（カンマ区切り）'),('exportrss_targets_use_entities','','これはもう使わない(必ず実体参照になる) // (exportrss で日本語を数値実体参照にするターゲットをカンマ区切りで入れる)'),('external_links_rewrite_enable','1','flag to enable rewriting links to link.pl on shtml files.'),('external_links_rewrite_ignore_domain_regex','([a-z][a-z]\\.)?sourceforge\\.jp','Ignore domain pattern for external link rewrite list (do NOT use unescaped \"/\").'),('facebook_api_key','','Facebook applications api key for application that is authorized to post links to a profile or page'),('facebook_enabled','','Post story links to Facebook as they are posted?'),('facebook_post_to','','Facebook UID of PAGEID for page we want to post links to'),('facebook_session','','Facebook session to post with'),('facebook_session_secret','','Facebook session secret for authorized session'),('fancyboxwidth','200','What size should the boxes be in?'),('feed_types','rss|atom|rdf|foaf','Feed types allowed.'),('fhbp_uid','38773','User uid to nix bayes-predicted spam'),('firehose_add_related','1','Automatically add link to firehose discussion as related to linked story'),('firehose_admindownclout','0.5','Admin clout for downvotes can be reduced by specifying a number between 0 and 1'),('firehose_adminudcclout','0.5','Admin clout for udc purposes (number between 0 and 1, probably'),('firehose_adminupclout','0.5','Admin clout for upvotes can be reduced by specifying a number between 0 and 1'),('firehose_anonval_param','9n3jk4f75,kof:KDSdf','String needed to be passed in anonval form param to validate requests, set to a string to enforce this validation'),('firehose_color_labels','red|orange|yellow|green|blue|indigo|violet|black','Firehose color labels'),('firehose_color_slices','30|30|0.2|0.2|0.2|0.2|0.2','Number or percent of remaining stories at each color level separated by | 30|0.5|0.5 would mean 30 stories at the level of highest popularity and 50% at each of remainining stories at the next 2 levels'),('firehose_default_tab','recent','Default tab name for firehose'),('firehose_disable_to_show_publicized_journals','0','Do not show publicized(story-submitted) journals as firehose item'),('firehose_last_thumbnail_id','12544929',''),('firehose_last_url_expand_id','12670628',NULL),('firehose_link_article2','1','True to link article2 from index2'),('firehose_logging','0','Log firehose usage info?'),('firehose_mainpage_fsid','1','Firehose section id of mainpage skid'),('firehose_mcd_disp','1','Cache dispFireHose results'),('firehose_memcached_disp_exptime','300','Seconds to cache firehose display'),('firehose_name','Firehose','The name of \"Firehose\" function'),('firehose_slice_points','290,240 220,200 185,175 155,138 102,93 30,25 0,-20 -60,-999999','Seven pairs of numbers: the entry score and minimum score for each color slice (last min should be large negative)'),('firehose_spam_score','-50','Popularity score assigned to all firehose items with is_spam=yes'),('firehose_story_ignore_skids','','list of skids that you want to not want created or shown as firehose entries.  Delimit skids with |'),('force_setcookie_everyaccess','1','force set cookie every access to renew cookies for subdomain. (jp specific)'),('formkey_minloggedinkarma','1','The min karma a user must have to \"count\" as a logged-in user for some purposes'),('formkey_timeframe','14400','The time frame that we check for a formkey'),('freshenup_max_stories','300','Maximum number of article.shtml files to write at a time in freshenup.pl'),('freshenup_small_cc','30','How many comments is considered a small commentcount, indicating a story needs its commentcount updated frequently?'),('freshenup_text_render_daysback','7','Oldest stories to write a story_text.rendered field for, in days'),('freshen_homepage_min_minutes','1','Number of minutes between updating the main index.shtml homepage (if 0, disabled, only updates when freshenup.pl believes it is required)'),('ga_setallowhash_false','0','Toggle Switch for qa tracking across sub-domains'),('ga_subdomain_test','0','Toggle Switch for qa test of change to tracking sub-domains'),('goodkarma','25','Users get bonus points for posts if karma above this value'),('gse_fallback_min_stoid','0','Set by set_gse_min_stoid to define how far back to search max when not passing an issue or offset'),('gse_min_stoid','43376','Minimum stoid that getStoriesEssentials - important index.pl optimization - this value set automatically'),('gse_mp_max_days_back','0','Max days back to go in gSE select for mainpage in instances where we haven\'t passed an offset / issue -- 0 if you don\'t want to use this'),('gse_precache_mins_ahead','2','How many minutes ahead to precache getStoriesEssentials data in the query cache and memcached?'),('gse_skip_count_if_no_min_stoid','0','If no min_stoid is available, skip counting the s_t_r rows and go straight to the one-table select? Rule of thumb, set this to true for sites with many stories (say, over 10,000)'),('gse_table_join_row_cutoff','1000','Number of stoids below which getStoriesEssentials performs 2 separate selects and above which it performs a JOIN'),('hc','1','HumanConf master switch, 0=off, 1=on'),('hc_cepstral','0','Use Cepstral audio to spell words for the vision-impaired?'),('hc_cepstral_mp3encoder','','Name of your system\'s preferred mp3 encoder'),('hc_cepstral_voices','William','Space-sep list of Cepstral voicesto use, if hc_cepstral is set'),('hc_fontpath','/usr/share/fonts/truetype','GD::Text font_path'),('hc_formname_regex','^(?:comments|(?:login|users)/(?:nu|mp))$','Formnames which (may) require HumanConf'),('hc_image_format','jpeg','Format for HC images (png, jpeg, etc.)'),('hc_maxkarma','25','Maximum karma at which users need HumanConf (beyond this we assume they are human) - set large negative to exempt all logged-in users, set large positive if all users must comply'),('hc_poolmaxfill','2000','Number of entries at a time to fill the pool with'),('hc_poolsize','20000','Number of entries desired for the HumanConf pool'),('hc_pool_secs_before_del','21600','Number of seconds after a pool entry last used before it will be deleted'),('hc_pool_secs_before_use','10','Number of seconds after a pool entry created before it will be used'),('hc_possible_fonts','','Possible fonts to use (space-separated, empty for the default)'),('hc_q1_lettersomit','hlou','For question 1 (images), which letters should never appear? Lowercase'),('hc_q1_linecloseness','8','For question 1 (images), closeness of the lines drawn over the letters, higher means more density'),('hc_q1_linethick','2','For question 1 (images), thickness of the lines that are drawn to confuse OCR'),('hc_q1_margin','6','For question 1 (images), margin around the image in pixels'),('hc_q1_maxrad','0.2','For question 1 (images), maximum number of  radians to rotate (positive or negative, so the range is twice this)'),('hc_q1_numchars','3','For question 1 (images), number of chars of text in the answer'),('hc_q1_prefnumpixels','1000','For question 1 (images), preferred number of pixels'),('hc_q1_usedict','','For question 1 (images), use words from a dictionary? if blank, no; otherwise, value is the absolute path to the newline-delimited file e.g. /usr/dict/words and hc_q1_lettersomit is ignored'),('hc_q1_usedict_excl','shiny$ metal ^daffodil','If hc_q1_usedict is set, space-sep list of regexes to exclude from words to use'),('hc_sw_comments','0','HumanConf switch for posting comments: 0=off, 1=anon only, 2=also logged-in with low karma'),('hc_sw_mailpasswd','1','HumanConf switch for mailing a password'),('hc_sw_newuser','1','HumanConf switch for creating a new user'),('hc_turnover_secs','259200','Seconds in which the entire humanconf pool should be replaced out'),('hof_do_not_count','','Do not list stories with these (space-separated) sids in hof.pl'),('http_proxy','http://cache.priv.osdn.jp:8080','http://proxy.slashdot.ne.jp'),('id_md5_vislength','5','Num chars to display for ipid/subnetid (0 for all)'),('ignore_uid_date_index','1','Ignore uid_date index on comments where it may slow performance'),('imagedir','//images.sdtest.osdn.co.jp',''),('imagemagick_convert','/usr/bin/convert','Location of imagemagick convert for thumbnail generation'),('im_password','','IM message bot password, in clear text. This is encrypted upon connecting.'),('im_screenname','','IM message bot screen name'),('index_anon_firehoseshtml','0','Redirect index2.pl requests to firehose.shtml for anonymous, non-param requests?'),('index_anon_for_firefox','index2.shtml','Resolve / to this script for Firefox users'),('index_anon_for_iphone','index2.shtml','Resolve / to this script for iPhone users'),('index_anon_for_msie6','index2.shtml','Resolve / to this script for MSIE 6 users'),('index_anon_for_msie7','index2.shtml','Resolve / to this script for MSIE 7 users'),('index_anon_for_msie8','index2.shtml','Resolve / to this script for MSIE 8 users'),('index_anon_for_other','index2.shtml','Resolve / to this script for all other users'),('index_anon_for_safari','index2.shtml','Resolve / to this script for Safari users'),('index_anon_index_firehose','1',NULL),('index_google_adsense_position','0','index.pl で 2 個目の Google AdSense を入れる位置'),('index_gse_backup_prob','0','Probability that index.pl getStoriesEssentials will look to backup_db_user instead of the main db: 0=never, 1=always'),('index_handler','index.pl','The perl servlet to call for conections to the root of the server.'),('index_handler_noanon','home','The shtml page to call if a user is anon and index_noanon is set'),('index_new_user_beta','0','Use index beta for new users?'),('index_noanon','0','Redirect all anonymous users to index_handler_noanon instead of index.shtml. Set to 1 to activate, 0 to remove.'),('index_readmore_with_bytes','1','Include bytes / word count in readmore link where applicable?'),('ircslash','0','Enable the ircslash task and connect to an IRC channel whenever slashd starts'),('ircslash_channel','#ircslash','Which channel to join'),('ircslash_channel_password','','Password for ircslash_channel'),('ircslash_dbalert_bogthresh','30','Alert the IRC channel when DB query bog exceeds this value, in seconds, for the last minute average'),('ircslash_dbalert_lagthresh','30','Alert the IRC channel when DB replication lag exceeds this value, in seconds, for the last minute average'),('ircslash_ircname','','Name to use on IRC server (defaults to \"(slashsite) slashd\")'),('ircslash_jabber_users','','Pipe-separated list of userids (\"userid\" or \"userid/resource\") to send Jabber messages to, instead of sending to channel'),('ircslash_lcr_sites','','Pipe-separated list of site names to use for lcr cmd'),('ircslash_nextremarkid','','Id of the last remark seen'),('ircslash_nick','','Nick to use on IRC server (has a reasonable default)'),('ircslash_port','6667','Port to use on IRC server'),('ircslash_remarks','0','Boolean - are remarks passed along or not?'),('ircslash_remarks_delay','5','How often, in seconds, to poll for new remarks'),('ircslash_remarks_max_day','10','How many remarks a single user can send, in a day, before we start ignoring them'),('ircslash_remarks_max_month','20','How many remarks a single user can send, in a month, before we start ignoring them'),('ircslash_remarks_max_year','100','How many remarks a single user can send, in a year, before we start ignoring them'),('ircslash_server','irc.slashnet.org','Which IRC server to connect to'),('ircslash_ssl','0','Try to connect over SSL?'),('ircslash_username','','Username to use on IRC server (has a reasonable default)'),('ispell','','ispell スペルチェッカーの場所を指定。空文字で無効にできます.'),('ispell_is_really_aspell_with_lang','','Some systems install aspell and a script that mimics the behavior of ispell; if yours does, set this to your preferred language name, e.g. \"english\"'),('issue_lookback_days','90','Number of days to look back in issue mode'),('istroll_downmods_ip','4','Downmods at which an IP is considered a troll'),('istroll_downmods_subnet','6','Downmods at which a subnet is considered a troll'),('istroll_downmods_user','4','Downmods at which a user is considered a troll'),('istroll_ipid_hours','72','Hours back that getIsTroll checks IPs for comment mods'),('istroll_max_halflives','3','Max number of times to cut the TrollModval impact of a downmod in half'),('istroll_uid_hours','72','Hours back that getIsTroll checks uids for comment mods'),('jabberslash','0','Enable the ircslash task for Jabber, and connect to a Jabber channel whenever slashd starts'),('jabberslash_channel','jabberslash','Which channel to join'),('jabberslash_channel_password','','Password for jabberslash_channel'),('jabberslash_channel_server','jabberslash','Which Jabber server to use for the channel (defaults to jabberslash_server)'),('jabberslash_ircname','','Account name to use on Jabber server (defaults to \"(slashsite) slashd\")'),('jabberslash_nick','','Nick to use on IRC server (has a reasonable default); is used for jabber Resource and channel alias'),('jabberslash_password','','Password for jabberslash_ircname account'),('jabberslash_port','5222','Port to use on Jabber server'),('jabberslash_server','jabber.org','Which Jabber server to connect to'),('jabberslash_tls','0','Try to connect using TLS?'),('journal2submit_skid','0','skid to submit journal entries to, if not set they go to mainpage skid'),('journal_allow_journal2submit','1','Allow journals to be submitted as submissions?'),('journal_comments','1','日記のコメントの有効化/無効化'),('journal_create_submission','1','Do you want setting the publicize flag to create a submission in addition to a journal?'),('journal_default_display','10','Default number of journals to display on a users page'),('journal_default_theme','generic','Default theme to use on journal entries'),('journal_default_topic','91','日記のデフォルトトピック'),('journal_force_nofollow','1','Select force to append rel=\"nofollow\" to anchor for journal content'),('journal_list_default_display','50','Number of journals to display on a journal title list page'),('journal_rdfitemdesc','1','1 == include introtext in item description; 0 == don\'t.  Any other number is substr() of introtext to use'),('journal_rdfitemdesc_html','1','1 == include HTML in item description; 0 == strip HTML (plain text only); 2 == HTML for subscribers only'),('journal_redirect_firehose','1','set 1 to redirect to new s tyle url (e.g.: op=list&uid=user -> /~user/journal)'),('journal_speed_limit','10','連続した投稿に設けるディレイ'),('journal_top','20','How many Journals to display in the tops page'),('journal_top_friend','0','友達の数でのランキングを表示/非表示'),('journal_top_posters','1','エントリ数でのランキングを表示/非表示'),('journal_top_recent','1','更新時間でのランキングを表示/非表示'),('journal_user_count','5','How many Journals to display on the user\'s pagepage'),('karma_adj','-10=サイテー|-1=ダメかも|0=からっぽのキャンバス|25=ぷらす|99999=たっぷり','Adjectives that describe karma, used if karma_obfuscate is set (best to keep aligned with badkarma, m2_maxbonus, and goodkarma)'),('karma_obfuscate','1','Should users see, not their numeric karma score, but instead an adjective describingtheir approximate karma?'),('karma_posting_penalty_style','0','0=old (starting score decremented), 1=new (display score shown lower, comment can suffer results of additional downvotes)'),('label_ui','0','Whether to label some things in the admin ui'),('lastComments','2605537','Last time we checked comments for moderation points'),('lastlookmemory','1','Amount of time the uid last looked-at will be remembered/displayed'),('lastsrandsec','science','Last Block used in the semi-random block'),('lastsrandsec_ostg','fossforus','Last Block used in the semi-random OSTG block'),('lenient_formkeys','0','0 - only ipid, 1 - ipid OR subnetid, in formkey validation check'),('logdir','/var/log/sdtest.osdn.co.jp/slash','Where should the logs be found?'),('logdir_flock','0','flock(LOCK_EX) around appends to log files in logdir?'),('login_nontemp_days','365','Days before a nontemp login expires'),('login_speed_limit','20','How fast a user can create users, etc.'),('login_temp_minutes','10','Minutes before a temporary login expires'),('log_db_user','slash','The virtual user of the database that the code should write accesslog to. If you don\'t know what this is for, you should leave it blank.'),('lonetags','P|LI|BR|IMG','Tags that don\'t need to be closed'),('lowbandwidth_bids_regex','^poll$|_more$','bids we want to show in low bandwidth mode.  NONE if we don\'t want to show any'),('m1','1','allows use of the moderation system'),('m1_admin_show_mods_with_comments','1','Show moderations with comments for admins?'),('m1_eligible_hitcount','3','Number of hits on comments.pl before user can be considered eligible for moderation'),('m1_eligible_percentage','0.995','Percentage of users eligible to moderate'),('m1_pluginname','TagModeration','Which moderation plugin to use'),('m1_pointgrant_end','0.8888','Starting percentage into the pool of eligible moderators (used by moderatord'),('m1_pointgrant_factor_downfairratio','1.3','Factor of downmods fairness ratio in deciding who is eligible for moderation (1=irrelevant, 2=top user twice as likely)'),('m1_pointgrant_factor_fairtotal','1.3','Factor of fairness total in deciding who is eligible for moderation (1=irrelevant, 2=top user twice as likely)'),('m1_pointgrant_factor_stirratio','1.1','Factor of stirred-points ratio in deciding who is eligible for moderation (1=irrelevant, 2=top user twice as likely)'),('m1_pointgrant_factor_upfairratio','1.3','Factor of upmods fairness ratio in deciding who is eligible for moderation (1=irrelevant, 2=top user twice as likely)'),('m1_pointgrant_highclout','4','Clout level that earns a user more mod points when granted'),('m1_pointgrant_start','0.167','Ending percentage into the pool of eligible moderators (used by moderatord'),('m2','1','Allows use of the metamoderation system'),('m2_batchsize','50','Maximum number of moderations processed for M2 reconciliation per execution of moderation daemon.'),('m2_bonus','+1','Bonus for participating in meta-moderation'),('m2_comments','10','Number of comments for meta-moderation - if more than about 15, doublecheck that users_info.m2_mods_saved is large enough'),('m2_consensus','9','Number of M2 votes per M1 before it is reconciled by consensus, best if this is an odd number.'),('m2_consensus_trigger','0.75','Weighted average of consensus votes to dissentor votes which determines a \"clear victory\" in M2.'),('m2_consensus_waitpow','0.','Positive real number, 0.2 to 5 is sensible. Between 0 and 1, older mods are chosen for M2 preferentially. Greater than 1, newer'),('m2_consequences','0.00=0,+2,-100,-1|0.15=-5,+1,-40,-1|0.30=-1,+0.5,-20,0|0.35=0,0,-10,0|0.49=0,0,-4,0|0.60=0,0,+1,0|0.70=0,0,+2,0|0.80=+0.01,-2,+3,0|0.90=+0.02,-5,+4,0|1.00=+0.05,0,+5,+0.5','Rewards and penalties for M2ers and moderator, up to the given amount of fairness (0.0-1.0): numbers are 1, tokens to fair-voters, 2, tokens to unfair-voters, 3, tokens to moderator, and 4, karma to moderator'),('m2_consequences_bonus_earlymod_secs','1800','Fairly moderate a comment within this many seconds of its being posted and gain a token bonus'),('m2_consequences_bonus_earlymod_tokenmult','1.1','Fairly moderate a comment early, and gain this bonus multiplier'),('m2_consequences_bonus_minfairfrac','0.8','Fraction of Fair metamods a mod has to get for its user to be eligible for the m2 csq bonuses'),('m2_consequences_bonus_pointsorig_-1','1.1','Fairly moderate a comment from this score, and gain this bonus multiplier'),('m2_consequences_bonus_pointsorig_0','1.2','Fairly moderate a comment from this score, and gain this bonus multiplier'),('m2_consequences_bonus_pointsorig_1','1.1','Fairly moderate a comment from this score, and gain this bonus multiplier'),('m2_consequences_bonus_pointsorig_2','1.0','Fairly moderate a comment from this score, and gain this bonus multiplier'),('m2_consequences_bonus_pointsorig_3','0.8','Fairly moderate a comment from this score, and gain this bonus multiplier'),('m2_consequences_bonus_pointsorig_4','0.5','Fairly moderate a comment from this score, and gain this bonus multiplier'),('m2_consequences_bonus_pointsorig_5','0.8','Fairly moderate a comment from this score, and gain this bonus multiplier'),('m2_consequences_bonus_quintile_1','0.9','Fairly moderate a comment in the first 20% of a discussion and gain this bonus multiplier'),('m2_consequences_bonus_quintile_2','1.0','Fairly moderate a comment in the second 20% of a discussion and gain this bonus multiplier'),('m2_consequences_bonus_quintile_3','1.1','Fairly moderate a comment in the third 20% of a discussion and gain this bonus multiplier'),('m2_consequences_bonus_quintile_4','1.1','Fairly moderate a comment in the fourth 20% of a discussion and gain this bonus multiplier'),('m2_consequences_bonus_quintile_5','1.1','Fairly moderate a comment in the last 20% of a discussion and gain this bonus multiplier'),('m2_consequences_bonus_replypost_tokenmult','1.2','Fairly moderate a reply, instead of a top-level comment, and gain this bonus multiplier'),('m2_consequences_repeats','3=-4|5=-12|10=-100','Token penalties for modding same user multiple times, applied at M2 reconcile time'),('m2_consequences_token_max','25','Maximum number of tokens a user can have, for being on the consensus sideof an M2 or being judged Fair, to merit gaining tokens'),('m2_consequences_token_min','-999999','Minimum number of tokens a user must have, for being on the consensus side of an M2 to merit gaining tokens'),('m2_dissension_penalty','-1','Penalty assessed for each \"head\" of dissension when M2 penalties are triggered.'),('m2_freq','86400','In seconds, the maximum frequency which users can metamoderate'),('m2_freq_max','172800','Max value m2_freq will be automatically adjusted to'),('m2_freq_min','42300','Min value m2_freq will be automatically adjusted to'),('m2_inherit','1','Set to true if you would like to inherit m2s from previous mods with the same cid-reason'),('m2_limit_with_mods','','Maximum number of metamods to show intertwined with a group of mods (Empty string for no limit)'),('m2_maxbonus','12','Usually 1/2 of goodkarma'),('m2_maxbonus_karma','10','Usually 1/2 of goodkarma'),('m2_maxunfair','0.5','Minimum % of unfairs for M2 penalty'),('m2_mincheck','3','Usually 1/3 of m2_comments'),('m2_minority_trigger','0.05','If weighted average of dissension votes to consensus votes is less than this value, this will trigger M2 penalties.'),('m2_mintokens','0','The min M2 tokens'),('m2_min_daysbackcushion','2','The minimum days-back cushion'),('m2_modlogid_max_new','967323','Approximate max moderatorlog id'),('m2_modlogid_max_old','967323','Approximate max moderatorlog id that counts as old'),('m2_modlogid_min_new','0','Approximate min moderatorlog id that counts as new'),('m2_modlogid_min_old','967323','Approximate min moderatorlog id'),('m2_modlog_cycles','492177','Number of times Metamoderation has processed the entire moderation log.'),('m2_modlog_pos','92664','Value of ID of last ID processed by a Meta-Moderator. Basically, this an indicator as to where the next set of M2 comments will be.'),('m2_multicount','5','Additional multiplier for M2s performed on duplicate mods (leave 0 to disable)'),('m2_oldest_wanted','10','How old can un-M2d mods get before they are considered important to get fully reconciled?'),('m2_oldest_zone_mult','2','How many times the normal amount of M2s are applied to the oldest un-M2d mods?'),('m2_oldest_zone_percentile','2','What percentile of the oldest un-M2d mods are to be considered highest priority?'),('m2_oldzone','0','Starting id (youngest) of the old-zone of moderations that still require M2 (the oldest certain percentile)'),('m2_only_perdec','10','What perdecage of mods should get M2d? 1=1/10th, 10=all'),('m2_penalty','-1','Penalty for misuse of meta-moderation'),('m2_reward_pool','4','Amount of point pool to award users participating in M2. Users cannot receive more than 1 point from the point pool.'),('m2_sliding_consensus','5|7|9','Array of consensus values chosen by count of mods for a particular cid-reason pair 5|7|9 means count 1 consensus 5, count 2 consensus 7, count >=3 consensus of 9'),('m2_toomanyunfair','0.3','Minimum % of unfairs for which M2 is ignored'),('m2_userpercentage','0.99','UID must be below this percentage of the total userbase to metamoderate'),('m2_use_sliding_consensus','0','Use sliding value for number of metamods needed for consensus -- consensus number is based on count of moderations for a cid-reason pair'),('m2_wait_hours','6','Number of hours to wait before a mod is available for m2'),('mailfrom','noreply@sdtest.osdn.co.jp','All mail addressed from the site looks like it is coming from here'),('mailfrom_comment','SRAD','メール送信時の From: に入れるコメント。無ければ sitename が使われる'),('mailpasswd_portscan','0','If true, when sending a password is attempted, try to access our own site ok.txt using incoming IP as a proxy, and forbid mailing if successful'),('mailpass_max_hours','48','Mailing a password only allowed mailpass_max_num times per account per this many hours'),('mailpass_max_num','2','Mailing a password only allowed this many times per account per mainpass_max_hours hours'),('mailpass_valid_days','3','A mailed newpasswd is expired after this many days'),('mail_charset_body','iso-2022-jp','Character Encoding used for mail body sent by the system (s. Encode::Supported)'),('mail_charset_header','MIME-Header-ISO_2022_JP','Character Encoding used for mail header sent by the system (s. Encode::MIME::Header)'),('mail_content_transfer_encoding','7bit','メール送信時の Content-Transfer-Encoding ヘッダの値'),('mainfontface','sans-serif','Fonts'),('mainpage_displayable_nexuses','27,49,84,157,204,220,408,444,1145,1931,1967,2183,2271,6792,6797,6800,6806','List of nexuses that can appear on the mainpage depending on settings; if empty, getStorypickableNexusChildren is used instead'),('mainpage_name','スラド','mainpage tabname for firehose tab'),('mainpage_nexus_tid','49','TID of the Mainpage\'s Nexus'),('mainpage_skid','1',NULL),('markup_checked_attribute',' checked','The checked attribute that is used on the \"input\" HTML element, CHECKED for HTML 3.2 and checked=\"checked\" for HTML 4.0 and beyond. Must include leading space!'),('maxkarma','50','Maximum karma a user can accumulate'),('maxpoints','8','The maximum number of points any moderator can have'),('maxtokens','50','Token threshold that must be hit to get any points'),('maxtokens_add','3','Max tokens to give any one user per pass'),('max_comments_allowed','300','maximum number of posts per day allowed'),('max_comments_unusedfk','10','How many unused formkeys are permitted'),('max_depth','4','max depth for nesting of comments'),('max_discussions_allowed','3','maximum number of posts per day allowed'),('max_discussions_unusedfk','10','How many unused formkeys are permitted'),('max_expiry_comm','250','Largest value for comment expiry trigger.'),('max_expiry_days','365','Largest value for duration expiry trigger.'),('max_journals_unusedfk','2000','許可された未使用のフォームキーの数'),('max_journal_allowed','300','1タイムフレームで許可された日記の最大数'),('max_login_allowed','10','How many forms a user can submit'),('max_posts_allowed','300','maximum number of posts per day allowed'),('max_submissions_allowed','20','maximum number of submissions per timeframe allowed'),('max_submissions_unusedfk','10','How many unused formkeys are permitted'),('max_submission_size','40000','max size of submission before warning message is displayed'),('max_test/get_nickname_allowed','50',NULL),('max_test/get_uid_allowed','50',NULL),('max_users_allowed','50','How many changes a user can submit'),('max_users_unusedfk','30','How many unused formkeys are permitted'),('max_users_viewings','30','how many times users.pl can be viewed'),('memcached','1','Use memcached?'),('memcached_debug','0','Turn on debugging for memcached?'),('memcached_exptime_archive2','3600','Seconds to cache archive2 data \nin memcached.'),('memcached_exptime_comtext','86400','Number of seconds comment text lives in memcached before requiring a re-read from the DB (empty string=default, 0=forever)'),('memcached_exptime_story','600','Number of seconds a story record lives in memcached before requiring a re-read from the DB'),('memcached_exptime_tags','3600','Seconds to cache tag data in memcached'),('memcached_exptime_tags_brief','300','Seconds to cache tag data that only needs brief caching, in memcached'),('memcached_exptime_user','1200','Number of seconds a user record lives in memcached before requiring a re-read from the DB (empty string=default, 0=forever)'),('memcached_keyprefix','x','Unique, short (1-2 chars probably) prefix to distinguish this site from the other sites sharing memcaches'),('memcached_servers','sd-master:11211','Space-sep list of servers for memcached in host:port format; to weight a server append =n'),('messages_send_journal_story_comments','0','Send \"MSG_CODE_JOURNAL_REPLY\" messages when the discussion is \"journal-story\"'),('message_delivery_debug','0',''),('message_last_deferred','2017-03-28','The last date that deferred messages were sent'),('message_process_count','5000','配送間隔で扱う最大メッセージ数'),('message_send_expire','7','メッセージを配送キューに貯めておく日数'),('message_threshold','0','Def\r\nault threshold for a comment to trigger a message'),('message_web_expire','31','メッセージをウェブに保存しておく日数'),('message_web_maxtotal','100','Number of total messages to keep on web site, per user'),('metamod_sum','3','sum of moderations 1 for release (deprecated)'),('metamod_use_firehose','1','Use firehose for metamodding'),('minkarma','-25','Minimum karma a user can sink to'),('min_cid_last_1_days','2956263',NULL),('min_cid_last_30_days','2956263',NULL),('min_expiry_comm','10','Lowest value for comment expiry trigger.'),('min_expiry_days','7','Lowest value for duration expiry trigger.'),('mobile_enabled','1','Use mobile mode (1: enable, 0: disable)'),('mobile_encoding','utf8','Content encoding for mobile webpages (static html files)'),('mobile_footer_ads_enable','0','モバイルサイトでフッタ広告を入れる'),('mobile_staticdir','/var/lib/slash/site/sdtest.osdn.co.jp/htdocs/m.new','Path for mobile static html files (disabled if empty)'),('mobile_urlpath','/m','URL path for mobile static html files'),('mobile_useragent_regex','(?:^(?:DoCoMo|SoftBank|J-PHONE|Vodafone|MOT-|KDDI-|emobile)|.+(?:WILLCOM|DDIPOCKET|IEMobile|Googlebot-Mobile))','User-Agent regex to force mobile mode'),('modal_prefs_active','1','Toggles modal preferences on/off'),('moderatord_catchup_count','2','The number of times moderatord will loop if replication is used and is too far behind our threshold.'),('moderatord_catchup_sleep','2','The number of seconds moderatord will wait each time it loops if replication is behind.'),('moderatord_debug_info','1','Add in more detailed information into slashd.log for moderation task info. This WILL increase the size by slashd.log quite a bit, so use only if you need to.'),('moderatord_lag_threshold','100000','The number of updates replication must be within before moderatord will run using the replicated handle. If this threshold isn\'t met, moderatord will not run.'),('moderatord_lastmaxid','534796037','Last accesslog.id seen by run_moderatord'),('moderatord_lastmaxid_api','20822134',''),('moderatord_maxrows','50000','Max number of accesslog rows to process at once in run_moderatord'),('modpoint_clout_coefficient','1.8','coefficient to calc mod points on tagModeration/setModPoints (ja specific; see #2521 for details)'),('modreasons_select_disabled','255','Comma separated \"modreasons.id\"s disable to select when moderation'),('modviewseclev','100','Minimum seclev to see moderation totals on a comment'),('mod_down_karmacoststyle','0','0=old (downmod costs 1 karma), 1=new (downmod costs pointsmax-new_points karma)'),('mod_elig_minkarma','0','The min M1 karma'),('mod_karma_bonus_max_downmods','2','How many times can you downmod a comment without it losing its karma bonus? (bonus lost at value+1th downmod) (set very high to disable)'),('mod_limit_with_comments','','Maximum number of moderations to show intertwined with a group of comments (Empty string for no limit)'),('mod_same_subnet_forbid','1','Forbid users from moderating any comments posted by someone in their subnet?'),('mod_stats','1','Include stats on moderation in the daily admin mail?'),('mod_stats_lookback_days','30','Number of days to look back for repeat mods'),('mod_stats_min_repeat','2','Minimum number repeat mods to appear in mod stats'),('mod_stats_reports','admin@sdtest.osdn.co.jp','Who to send daily moderation stats reports to'),('mod_stir_hours','96','Number of hours before unused moderator points expire'),('mod_stir_recycle_fraction','1.0','What fraction of unused mod points get recycled back into the system?'),('mod_stir_token_cost','2','What is the token cost of having each mod point stirred?'),('mod_token_assignment_delay','2','Pause in seconds between batches of assigning token changes'),('mod_token_decay_days','14','How many days of inactivity before tokens start to decay?'),('mod_token_decay_perday','1','If inactivity, how many tokens lost per day?'),('mod_unm2able_token_cost','1','What is the token cost of performing an un-M2able mod?'),('mod_up_points_needed','','Need more than 1 point to mod up? Hash'),('nesting_maxdepth','3','Maximum depth to which <BLOCKQUOTE>-type tags can be nested'),('nest_su_maxdepth','3','Maximum depth to which <SUP> and <SUB> tags can be nested'),('newsletter_body','0','Print bodytext, not merely introtext, in newsletter.'),('newuser_default_messsagecodes','3,4,5,7,12,22','which is message codes enable as web for new user. (comma separated)'),('newuser_portscan','0','If true, when creating a new user account is attempted, try to access our own site ok.txt using incoming IP as a proxy, and forbid account creation if successful'),('nick_chars',' abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789$_.+!*\'(),-','Characters allowed in user nicknames'),('nick_maxlen','20','Max length of nickname, should correspond with schema for users.nickname'),('nick_regex','^[a-zA-Z_][ a-zA-Z0-9$_.+!*\'(),-]{0,19}$','Regex (case-sensitive) allowed for user nicknames'),('nick_regex_legacy','^[a-zA-Z0-9_.()$*!+-][ a-zA-Z0-9$_.+!*\'(),-]{0,19}$','Regex (case-sensitive) allowed for user nicknames (login only; no new accounts)'),('nofollow_exclude_regex','^(?:/(?:(?!/)|$)|(?:https?:)?//(?:[-.\\w]+?)?(?:slashdot\\.jp|sourceforge\\.jp|osdn\\.jp)\\b)','URL regex not to append rel=\"nofollow\" for anchor tag'),('no_d2','0','When \"1\", disable using discussion2.'),('no_prerendered_stories','0','Turn off use of prerendered stories in display'),('offer_insecure_login_link','0','Offer the user the \'totally insecure but very convenient\' index.pl login link'),('openid_consumer_allow','0','Allow users to authenticate using OpenID, and manage OpenID identities.'),('openid_consumer_secret','0.93736504105606','Consumer secret for OpenID'),('optipng','','path to optipng if it is to be used for compressing thumbnails'),('op_exclude_from_countdaily','rss','Ops to omit from daily counts in adminmail (delimiter of |)'),('op_extras_countdaily','','Extra site-specific pagetypes/ops you would like listed (delimiter of |)'),('organise_stories','','organise story blocks'),('panic','0','0:Normal, 1:No frills, 2:Essentials only'),('people_max','200','Maximum number of friends/foes you can have'),('people_max_subscriber','400','Maximum number of friends/foes you can have'),('pngnq','/usr/local/bin/pngnq','Path to pngnq'),('pollbooth_ads','1','Show pollbooth ads.'),('poll_cache','1','On home page, cache and display default poll for users (if false, is extra hits to database)'),('poll_discussions','1','Allow discussions on polls'),('poll_fwdfor','1','Loose prxy management for voting?'),('postedout_end_secs','21600','Window to count posted-out stories closes this many seconds in the future'),('postedout_start_secs','300','Window to count posted-out stories opens this many seconds in the future'),('postedout_thisnexusonly','0','If nonzero, only count posted-out stories that are rendered in this nexus, otherwise count all'),('postedout_wanted','2','Number of posted-out stories considered a satisfying normal amount'),('post_limit','10','seconds delay before repeat posting'),('rdfencoding','utf-8','Site encoding'),('rdfiframe_height','300','Height of rssiframe'),('rdfiframe_skip_commentcount','0','Hide read X more comments in rssiframe'),('rdfiframe_skip_comments','0','Hide comment listing in rssiframe'),('rdfiframe_skip_tags','0','Hide tag bar in rssiframe'),('rdfimg','http://images.sdtest.osdn.co.jp/srad_logo01.png','Site encoding'),('rdfitemdesc','1','1 == include introtext in item description; 0 == don\'t.  Any other number is substr() of introtext to use'),('rdfitemdesc_html','0','1 == include HTML in item description; 0 == strip HTML (plain text only)'),('rdfitem_content','1','allow content:encoded in RSS 1.0 (now, only for journal)'),('rdfitem_content_encoded','1','1 == \"include content:encoded\"; 0 == do not include \"content:encoded\"'),('rdflanguage','ja-jp','What language is the site in?'),('rdfpublisher','スラド','The \"publisher\" for your RSS channel'),('rdfrights','Copyright (C) スラド, OSDN Corporation','The \"copyright\" for your RSS channel'),('rdfshareicons','0','Show share icons in RSS feed'),('rdfsubject','Technology','The \"subject\" for your RSS channel'),('rdfupdatebase','1970-01-01T00:00+00:00','The date to use as a base for the updating'),('rdfupdatefrequency','2','How often to update per rdfupdateperiod'),('rdfupdateperiod','hourly','When to update'),('recent_topic_img_count','5','Number of recent topics to store in the template \"recentTopics\"'),('recent_topic_txt_count','5','Number of recent topics to store in the block \"recenttopics\"'),('reciprocal_mod_user_last_id','967323',NULL),('referrer_external_static_redirect','0','If true, redirect anon requests referred from other sites for dynamic article.pl to static .shtml. This can greatly improve chances of surviving aslashdotting'),('relatedtext_only_otherlinks','1','relatedtext のリンクを otherLinks のものだけにする（通常の関連リンクは表示しない）'),('related_cid_disabled','1','If set, then disable inserting cid to related story list'),('reskey_srcid_masksize','24','which srcid mask size to use for reskeys'),('reskey_static_salt','PKVEr9W3c7K22xibuv5x','sitewide salt for reskeys'),('reskey_timeframe','14400','Default timeframe base to use for max-uses (in seconds)'),('returnto_passwd','changeme0.4828462279242','Password used to sign MD5s for returnto URLs from remote sites'),('robo_ban_disabled','1','disable robo_ban.pl'),('rootdir','http://sdtest.osdn.co.jp','Base URL of site; used for creating on-site links that need protocol-inspecific URL (so site can be used via HTTP and HTTPS at'),('rssad_position','-1','RSSad のデフォルト有効化と挿入する位置（-1: 無効, 0: 先頭に挿入, n: n番目の後に挿入）'),('rssad_position_siterss','2','サイト名.rss の RSSad の有効化と挿入する位置（-1: 無効, 0: 先頭に挿入, n: n番目の後に挿入）'),('rss_allow_index','0','Allow RSS feeds to be served from index.pl (1 = admins, 2 = subscribers, 3 = all logged-in users)'),('rss_entitize_nonascii','0','Convert non-ASCII-printable characters into entities in xmlencode() ?'),('rss_expire_days','7','Number of days till we blank the data from the database (the signatures still stick around though)'),('rss_max_items_incoming','15','Max number of rss items shown in a slashbox, by default'),('rss_max_items_outgoing','10','Max number of rss items emitted in an rss/rdf/atom feed'),('rss_no_tracking_query','1','do not generate RSS tracking query \"from=rss\".'),('rss_skip_readmore','0','Skip additional readmore link at bottom in rss feed'),('rss_store','1','Should we be saving incoming submissions for rss'),('runtask_verbosity','3','How much information runtask should write to slashd.log: 0-3 or empty string to use slashd_verbosity'),('run_ads','1','To run adbanner'),('sbindir','/usr/share/slash/sbin',NULL),('searchest2_commentscore_weight','0.2','Weight value about comment score for SearchEst2 plugin'),('searchest2_last_indexed','2009-04-15 19:54:12','last indexed time for SearchEst2 plugin'),('searchest2_node_prefix','sd','Prefix of estmaster node name for SearchEst2 plugin'),('searchest2_password','moemoe2008','Password to connect estmaster for SearchEst2 plugin'),('searchest2_url','http://sd-estmaster:1978','URL of estmaster for SearchEst2 plugin'),('searchest2_url_comments','http://sd-estmaster-comments:1978','URL of estmaster for SearchEst2 plugin'),('searchest2_user','slash','User name to connect estmaster for SearchEst2 plugin'),('searchest_estlabel','sdtest.osdn.co.jp','Estmaster node label for SearchEst plugin'),('searchest_estnode','slashdot','Estmaster node name for SearchEst plugin'),('searchest_estpass','moemoe2008','Password to connect estmaster for SearchEst plugin'),('searchest_esturl','http://sd-estmaster:1978','URL of estmaster for SearchEst plugin'),('searchest_estuser','slash','User name to connect estmaster for SearchEst plugin'),('searchest_last_indexed','2017-03-28 15:05:17','Index update time for SearchEst plugin'),('searchest_story_indexed','2008-04-30 10:05:16','Update time of indexed stories for SearchEst plugin'),('searchest_type','hyperestraier','Define hyperestraier type for SearchEst plugin (\"hyperestraier\" or \"estmaster\")'),('search_db_alternate','Slash::SearchEstCompat','alternate search db class for search.pl. (empty for default Slash::Search)'),('search_default_display','10','Defualt number of entries to display on Search page'),('search_est_dbpath','/var/lib/slash/site/sdtest.osdn.co.jp/hestraier','Directory where indexes for Hyper Estraier are stored'),('search_est_sto_indexed','2008-03-12 11:17:02','Last time the Hyper Estraier index for stories has been updated'),('search_google','0','Turn on to disable local search (and invite users to use google.com)'),('search_ignore_skids','','list of skids that you want to not include in search results.  Delimit skids with |'),('search_journal_enabled','1','Turns on searching journals.'),('search_method','','Method to use to weight scores for search returns (and to narrow down possible matches)'),('search_rdfitemdesc','0','1 == include introtext in item description; 0 == don\'t.  Any other number is substr() of introtext to use'),('search_rdfitemdesc_html','0','1 == include HTML in item description; 0 == strip HTML (plain text only)'),('search_rss_enabled','0','Turns on searching rss.'),('search_text_length','80','This will tell search how many characters should be returned for text bodies in searches (think introtext for stories and article for journals).'),('section','index','This is the current setting for section.'),('sections_list','bugs|language|todo',''),('self_mod_ipid_last_id','967323',NULL),('send_mail','1','Turn On/Off the mailing list'),('set_story_thumbnails_skids','17','set $skid_list in set_story_thumbnails.pl'),('sfjp_softwaremap_path','sfjp_softwaremap','relative path name against \"basedir\" to place fetched SourceForge.JP Softwaremap contents'),('sfjp_wikicontents_etag','SFjpFeeds-List-rss10-group-4-55a77918-46','ETag for SourceForge.JP wiki contents RSS (updated automatically)'),('sfjp_wikicontents_path','wiki','relative path name against \"basedir\" to place fetched SourceForge.JP wiki contents'),('sfjp_wikicontents_project','slashdotjp','\"Project UNIX Name\" on SourceForge.JP to fetch wiki contents'),('show_all_future_stories_admin','1','Turn this on so all future stories are show in the admin stories list'),('show_m2s_with_mods','1','Show metamods intertwined with mods?'),('show_maker_mode','0','Display ability to enable maker mode'),('show_mods_with_comments','1','Show moderations intertwined with comments on user pages?'),('sidebardir','/sidebar','サードバーを出す相対ディレクトリ'),('signoff_notify','0','Add remark for bot on each signoff / update / save ?'),('signoff_use','0','Use signoff functionalilty?'),('similarstorydays','0','Number of days to look back for uncommon words'),('similarstorymaxwords','30','Maximum number of top-weighted scores to search for in previous stories'),('similarstoryminweight','4','Minimum weight necessary for a story to be displayed as similar'),('similarstorynumshow','5','Maximum number of similar stories to show in admin preview'),('siteadmin','admin','The admin for the site'),('siteadmin_name','スラド 管理者','The pretty name for the admin for the site'),('siteid','sdtest.osdn.co.jp','The unique ID for this site'),('sitemap_path','sitemaps','relative path name against \"basedir\" to place sitemaps'),('sitename','スラド','Name of the site'),('sitepublisher','OSDN Corporation','The entity that publishes the site'),('slashboxes_maxnum','25','Maximum number of slashboxes to allow'),('slashbox_whatsplaying','0','Wheter or not to turn on the \"What\'s Playing\" Slashbox.'),('slashdir','/usr/share/slash',NULL),('slashdir_symlink_base','/var/lib/slash','symlink base directory for symlink-tool'),('slashd_errnote_lastrun','2017-03-28 15:05:15','Last time slashd_errnote ran'),('slashd_hostname_default','','Hostname of the machine that slashd tasks run on unless otherwise specified in slashd_status.hostname - blank means slashd runs normally anywhere'),('slashd_verbosity','2','How much information slashd (and runtask) should write to slashd.log: 0-3, 3 can be a lot'),('slogan','アレゲなニュースと雑談サイト',NULL),('smalldevices_ua_regex','SMALLDEVICE_DISABLED_hhdasyebfal','regex of user agents for small devices'),('smtp_server','sd-master.priv.osdn.jp','The mailserver for the site'),('soap_enabled','0',NULL),('social_bookmarks_last_update','2011-05-19 08:20:01',''),('social_bookmarks_yj_pass','4649tribe',NULL),('social_bookmarks_yj_user','osdn_mktg',NULL),('sphinx','1','Is Sphinx installed?'),('sphinx_01_hostname_searchd','sd-sphinx-01.priv.osdn.jp','Hostname for the sphinx01 instance: searchd'),('sphinx_01_hostname_sphinxse','','Hostname for the sphinx01 instance: SphinxSE on mysqld'),('sphinx_01_max_children','300','max_children value for the sphinx01 searchd'),('sphinx_01_max_iops','40','max_iops value for the sphinx01 indexer'),('sphinx_01_max_matches','10000','max_matches value for the sphinx01 searchd'),('sphinx_01_mem_limit','512M','mem_limit value for the sphinx01 indexer'),('sphinx_01_ondisk_dict','1','set \"ondisk_dict_default\" option for sphinx searchd'),('sphinx_01_port','3312','Port the sphinx01 instance listens on'),('sphinx_01_vardir','/var/lib/sphinxsearch','The path to the var directory for the sphinx01 instance'),('sphinx_indexer','/usr/bin/indexer','The path of sphinx indexer command'),('sphinx_match_mode','extended2','all, any, phrase, boolean, extended2'),('sphinx_se','0','Use SphinxSE instead of the API directly?'),('sphinx_stopwords','','Space-sep list of stopwords'),('stats_admin_seclev','100','seclev required to look at stats in stats.pl'),('stats_firehose_spamcount','16','Number of firehose items marked as is_spam'),('stats_metrics_reports','tech@osdn.jp','Send emai with metrics to email addresses. Addresses delimited with |'),('stats_reports','authors@sdtest.osdn.co.jp','Who to send daily stats reports to'),('stats_sfnet_groupids','','Group IDs of SourceForge.net Groups to check for adminmail'),('stem_uncommon_words','0','Use stems of words for detecting similar stories instead of whole words?'),('store_com_page1_min_cid_for_user_com_cnt','1000','Caches the minimum cid shown on a user\'s first page of comments shown if their commentcount is >= this val. This can speed up future queries.  Set to 0 to disable this.'),('story_expire','60','Default expiration time for story cache'),('story_files','1','Allow stories to use files from Slash::Blob'),('story_never_topic_allow','2','Allow story_never_topic data to be edited and passed to getStoriesEssentials? 0=no, 1=subscriber-only, 2=yes'),('submissions_accepted_only_page_size','60','Number of submissions shown per page when only accepted submissions are shown.  Set to 0 to show all'),('submissions_all_page_size','80','Number of submissions shown per page on a user page when all submission statuses are shown.  Set to 0 to show all'),('submissions_link_relnofollow','1','Add a rel=\"nofollow\" to the submitter\'s vanity link for all submissions?'),('submissions_speed_limit','300','How fast they can submit'),('submission_bonus','3','Bonus given to user if submission is used'),('submission_count_days','60','Number of days back to count submissions made by the same UID or domain'),('submission_default_skid','1','Skid you would like selected by default for submissions, 0 or empty string for none'),('submission_force_default','1','Force selection of default skid for all submissions, takes away menu of options'),('submission_remove_mainpage_nexus_tid','1','Remove \"Index\" topic on topic list at story editing from submission'),('submission_speed_limit','300','How fast they can submit'),('submiss_ts','1','print timestamp in submissions view'),('submiss_view','0','allow users to view submissions queue'),('submit_allow_duplicate_url','1','Allow duplicate URL on submit'),('submit_categories','Poll','Extra submissions categories'),('submit_domains_invalid','example.com peoplesprimary.com','space separated list of domains that are not valid for submitting stories'),('submit_forgetip_hours','2160','Hours after which a submissions\'s ipid/subnetid are forgotten; set very large to disable'),('submit_forgetip_maxrows','100000','Max number of rows to forget IPs of at once'),('submit_forgetip_minsubid','95959.921102','Minimum subid to start forgetting IP at'),('submit_redirect_submit2','1','Redirect submit to submit2'),('subnet_karma_post_limit_range','-5|-9|-10|-999999','range of subnet karma to block posting at -5|-9|-10|-999999 blocks anonymous posting at -5 to -9 subnet karma, and all posting from -10 to -999999 subnet karma'),('subscribe_future_name','in <B>The Mysterious Future!</B>','Name of the future that subscribers can see stories in'),('subscribe_future_post','1','Can subscribers post to stories in The Mysterious Future?'),('subscribe_future_secs','1200','Seconds worth of stories that subscribers can see into The Mysterious Future'),('supress_create','1','Don\'t let users create own sids'),('tagbox_csr_baseneediness','60','Base neediness score for comments that have been moderated'),('tagbox_csr_minneediness','138','Minimum neediness score to possibly insert a needy comment into the firehose'),('tagbox_csr_needinesspercent','100','Percentage of comments with the necessary minimum neediness which actually do get inserted into the firehose'),('tagbox_despam_binspamsallowed_ip','3','Number of binspam tags allowed before action is taken for an IP'),('tagbox_despam_decloutdaysback','7','Number of days to look back to declout upvoters'),('tagbox_fheditorpop_edmult','10','Multiplier by which editor nod/nixes are weighted for editor view'),('tagbox_fheditorpop_maxudcmult','5','Maximum multiplier for an up/down tag based on the tags_udc table'),('tagbox_fheditorpop_maybefrac','0.1','Amount that an editor nod+maybe boosts editorpop, expressed as fraction of a plain editor nod'),('tagbox_fheditorpop_needypercent','3','Percentage of all comments which show up in an editor\'s hose (should be <= tagbox_csr_needinesspercent)'),('tagbox_fheditorpop_susp_flagpop','185','Admin score to artificially raise a suspicious host item to until an admin tags it'),('tagbox_fheditorpop_susp_maxtaggers','7','Max number of unique users tagging (not voting) a low-scoring firehose item that should not raise suspicion'),('tagbox_fheditorpop_susp_minscore','100','Min score required to not raise suspicion'),('tagbox_fheditorpop_udcbasis','1000','Basis for tags_udc vote clout weighting'),('tagbox_fhpopularity2_gracemult','3','Multiplier factor for a firehose item during the grace period'),('tagbox_fhpopularity2_gracetime','1200','Number of initial seconds of a firehose item life let it float higher in the hose'),('tagbox_fhpopularity2_gracevotes','4','Max number of votes for which the grace period will apply'),('tagbox_fhpopularity2_udcbasis','1000','Basis for tags_udc vote clout weighting'),('tagbox_fhpopularity_maybefrac','1.0','Amount that an editor nod+maybe boosts popularity, expressed as fraction of a plain nod'),('tagbox_firehosescores_gracemult','3','Multiplier factor for a firehose item during the grace period'),('tagbox_firehosescores_gracetime','1200','Number of initial seconds of a firehose item life let it float higher in the hose'),('tagbox_firehosescores_gracevotes','4','Max number of votes for which the grace period will apply'),('tagbox_firehosescores_maxudcmult','1','Maximum multiplier for an up/down tag based on the tags_udc table'),('tagbox_firehosescores_udcbasis','1000','Basis for tags_udc vote clout weighting'),('tagbox_recenttags_minclout','4','Minimum clout sum to count a tagname'),('tagbox_top_excludetagnames','yes no binspam dupe notthebest offtopic stupid slownewsday stale interesting funny insightful fresh slashdot nod nix 便所虫 キモヲタ 放射脳 陰謀厨 ゲス カルマ乞食','Minimum score a tag must have to make it into the top tags for a story or firehose item'),('tagbox_top_minscore_stories','1','Minimum score a tag must have to make it into the top tags for a story'),('tagbox_top_minscore_urls','1','Minimum score a tag must have to make it into the top tags for a url'),('tagbox_top_toptag_num','5','maximum number of toptags set by tagbox/Top (jp specific)'),('tagbox_top_urls_tags_neg','minus|binspam','| separated list of tags applied which negatively affect url popularity'),('tagbox_top_urls_tags_pos','plus','| separated list of tags applied which positively affect url popularity'),('tagbox_watch_last_check','1',NULL),('tags_active_maxshow','200','Maximum number of tagged objects to display on /tags/foo'),('tags_active_mincare','5','Minimum color slice number to \"care\" about tags for the Slashdot Recent Tags box (only matters if FireHose installed and if you are Slashdot)'),('tags_admin_autoaddstorytopics','1','Auto-add tags for story topic keywords?'),('tags_admin_private_tags','','List of tags separated by | that are private for admins'),('tags_allow_delete_by_superadmin','1','set 1 to allow to delete any tags by super admin (jp specific)'),('tags_cache_expire','180','Local data cache expiration for tags'),('tags_downvote_tagname','nix','Tag for downvote'),('tags_feederlog_largerows','50000','Number of rows at which the feederlog is considered \"large\", slowing additions'),('tags_items_per_page','20','/tag/以下で1ページに表示される件数'),('tags_listable_type','\\A(story|journal)\\z','/tag/以下で一般ユーザーが指定できるtypeの値。正規表現'),('tags_list_mintc','2','Minimum value of total_clout for tagged items shown at /tags/foo'),('tags_negative_tagnames','nix,dupe,whocares','Negative tags (comma separated)'),('tags_overnight_minweightsum','0.1','Minimum tagbox weight sum for overnight processing. To disable overnight difference, set to 1'),('tags_overnight_starthour','7','GMT hour at which overnight processing begins'),('tags_overnight_stophour','10','GMT hour after which overnight processing ends'),('tags_prefixlist_minc','4','Minimum value of c (count) for tagnames returned by listTagnamesByPrefix'),('tags_prefixlist_minlen','3','Minimum length of a tag prefix to bother looking up suggestions for'),('tags_prefixlist_mins','3','Minimum value of s (clout sum) for tagnames returned by listTagnamesByPrefix'),('tags_prefixlist_num','10','Number of tagnames returned by listTagnamesByPrefix'),('tags_prefixlist_priority','back bookmark feed hold journal none quik submission story','Tagnames to give priority to on autocomplete'),('tags_prefixlist_priority_score','999','Fake score to give any tagnames from tags_autocomplete_priority which may match a prefix'),('tags_rectn_mincare','5','Minimum color slice number to \"care\" about tags for Recent Tagnames (only matters if FireHose installed)'),('tags_rectn_nocaremult','0','If tags_rectn_mincare excludes an item, how less do we still care? 1=no change, 0=not at all'),('tags_stories_allowread','5','Who is allowed to see existing tags on stories (incl. search on them)? 0=nobody 1=admins 2=subscribers 2.5=tags_stories_allowread ACL 3=non-neg. karma 4=all logged in (3,4: up to tags_userfrac_read)'),('tags_stories_allowwrite','4','Who is allowed to tag stories? 0=nobody 1=admins 2=subscribers 2.5=tags_stories_allowwrite ACL 3=non-neg. karma 4=all logged in (3,4: up to tags_userfrac_write)'),('tags_stories_examples','','Example tags for stories'),('tags_stories_examples_pre','dupe typo','Example tags for stories before they go live'),('tags_stories_lastscanned','0','The last tagid scanned to update stories'),('tags_stories_top_minscore','2','Minimum score a tag must have to make it into the top tags for a story'),('tags_tagbox_lastglobjid','12750539','Last globjid that the tagbox scanned for possible insertion into feeder log'),('tags_tagbox_maxruntime','28800','Restart tagbox.pl after running this long, to mitigate any memory leaks, 0 for never'),('tags_tagname_regex','^!?[a-z一-龠ぁ-んァ-ヴー][a-z0-9一-龠ぁ-んァ-ヴー/・]{0,63}$','Regex that tag names must conform to'),('tags_tagpeerval_postingbonus','10 ','Bonus points for nods/nixes applied to a posted story'),('tags_udc_daysback','182','Days back to crunch numbers for tags_udc related tables, should be a multiple of 7'),('tags_unknowntype_default_clid','1','For tags of unknown type, which clout id do we pretend they are?'),('tags_unknowntype_default_mult','0.3','For tags of unknown type, what multiplier do we give to the tagging user clout or type tags_unknowntype_default_clid?'),('tags_updateclouts_debuguids','','UIDs to print debug info on during clout recalculation'),('tags_upvote_tagname','nod','Tag for upvote'),('tags_urls_examples','','Example tags for urls'),('tags_urls_examples_pre','plus minus binspam','Example tags for urls'),('tags_urls_lastscanned','0','The last tagid scanned to update urls'),('tags_urls_neg_tags','minus|binspam','| separated list of tags applied which negatively affect url popularity'),('tags_urls_pos_tags','plus','| separated list of tags applied which positively affect url popularity'),('tags_urls_top_minscore','2','Minimum score a tag must have to make it into the top tags for a urls'),('tags_userfrac_read','1','Fraction (0.0-1.0) of user UIDs which are allowed to read tags, if tags_*_allow* is set that way'),('tags_userfrac_write','0.95','Fraction (0.0-1.0) of user UIDs which are allowed to tag, if tags_*_allow* is set that way'),('tags_usershow_cutoff','200','More tags than this, and instead of showing the full taglist /~user/tags will show the list of tagnames'),('tags_viewed_tagname','viewed','Tagname to assign to stories and other items a user has viewed'),('tags_watchlist','typo=1,1,1,1 dupe=1,1,2,8','Space-sep list of tags to watch, with comma-sep list of how many needed at -15, 0, +20, +240 minutes'),('takeover_discussion_from_firehose','0','Enable to takeover discussion before approve from firehose'),('task_timespec_freshenup','* * * * *','Custom timespec (in cron style) for the freshenup task. Add more task_timespec_ vars if you want to override other task timespecs.'),('template_cache_size','0','Number of templates to store in cache (0 = unlimited)'),('template_post_chomp','0','Chomp whitespace after directives (0 = no, 1 = yes, 2 = collapse; 0 or 2 recommended)'),('template_pre_chomp','0','Chomp whitespace before directives (0 = no, 1 = yes, 2 = collapse; 0 or 2 recommended)'),('template_show_comments','0','Show HTML comments before and after template? (see Slash::Display) 0=no 1=yes unless Nocomm 2=ALWAYS (debugging only!)'),('test/get_nickname_speed_limit','10',NULL),('test/get_uid_speed_limit','10',NULL),('textarea_cols','80','コメントボックスのカラムの初期値'),('theme_default','classic','Theme use gets by default (leave empty if you do not have any themes in your css table'),('tids_in_urls','0','Want tid=1&tid=2 in story and discussion-related URLs?'),('titlebar_width','100%','The width of the titlebar'),('title_case_convert_disabled','1','set 1 to disable auto capitalize title when story edit (jp specific)'),('today','今日','string of \"Today\" for translation'),('tokenspercomment','6','Number of tokens to feed the system for each comment'),('tokensperpoint','8','Number of tokens per point'),('token_retention','0.25','Amount of tokens a user keeps at cleanup time.'),('topcomm_days','200','Look back (n) days to display the Hot Comments slashbox'),('topcomm_num','10','Number of comments wanted for the Hot Comments slashbox. Defaults to 5.'),('topicad_enable','0','Enable topic relational Ad'),('topiclist_dont_show_nexuses','0','Do not show nexus topics on topic list'),('topiclist_ignore_prefix','','prefix of any topic keywords that should not show up on topic list or hierarchy, leave blank if you don\'t want any ignored'),('topics_sectional_weight','10','Minimum weight for sectional stories'),('topic_popup_defaultweight','10','Default weight for new topics in the popup menu (should probably match default for topic_parents.min_weight)'),('topic_popup_open','1','Expand all topics by default, or not'),('topic_popup_weights','40=0|30=Mainpage|20=0|10=Sectional|0=0','The dividing lines etc. for the topic select box in the story editor'),('topic_search_sid_limit','1000','Maximum number of sids to grab on a two-select topic search'),('topic_search_use_join','0','Controls whether your site uses a join for topic search'),('topic_tree_draw','0','Draw the images/topic_tree.png?'),('topic_tree_draw_fontname','freefont/FreeMono','Name of font used for labels in the topic tree'),('topic_tree_draw_fontsize','10','Size of font used for labels in the topic tree'),('topic_tree_lastchange','1450338005','Unix timestamp of last change to the topic tree'),('topic_tree_lastdraw','1','Unix timestamp of last time topic_tree_draw.pl redrew images/topic_tree.png'),('topjournals_karma_threshold','5','set topjournals_karma_threshold 2015/01/10'),('topjournals_uid_blacklist','46010','uid blacklist for topjournals (comma separated)'),('top_sid','16/11/25/126257','The sid of the most recent story on the homepage'),('totalComments','2605537','Total number of comments posted'),('totalhits','4066243038','Total number of hits the site has had thus far'),('tweak_japanese','1','Special tweak for Japanese.'),('twitter_access_token','','OAuth info for tweet.pl'),('twitter_access_token_secret','','OAuth info for tweet.pl'),('twitter_bin_enabled','','Use twitter microbin?'),('twitter_bin_featured_tag','','Featured tag to list at top of bin'),('twitter_bin_pw','','password for the twitter bin user'),('twitter_bin_searches','','Set of searches to execute - the searches listed are composed of 3 comma separated arguments  searchterm,srcname,tags  these search listings can be separated by |\'s so more than one search is executed'),('twitter_bin_submit_uid','','UID to use when turning microbin entries into submissions'),('twitter_bin_user','','Twitter to conduct searches as and grab the friends_timeline from for insertion into the bin'),('twitter_bitly_apikey','','apikey to shorten urls with'),('twitter_bitly_user','','User to shorten urls as'),('twitter_consumer_key','','OAuth info for tweet.pl'),('twitter_consumer_secret','','OAuth info for tweet.pl'),('twitter_enabled','','Tweet stories as they are posted?'),('twitter_max_stories_back','3','Max number of stories back to tweet'),('twitter_pw','','Password for twitter user'),('twitter_user','','User to tweet story links as'),('u2','1','Toggle on/off Users2'),('uncommonstorywords_maxlen','255','Maximum length of the uncommon words list'),('uncommonstoryword_minlen','3','Minimum length of the words in the uncommon words list'),('uncommonstoryword_thresh','2','Words occurring more often than once every this-many days are considered common'),('uncommon_weight_bodytext','0.5','The min M1 karma'),('uncommon_weight_introtext','1','The min M1 karma'),('uncommon_weight_title','8','The min M1 karma'),('updatemin','5','do slashd updates, default 5'),('update_journal_story_discussion_to_story','1','Update discussion of journal-story title/url to story title/url'),('url_checker_user_agent','','user Agent to use for url checking task, empty string results in lwp user agent being used'),('users_bio_length','1024','Length allowed for user bio'),('users_count','47522','(Approximate) number of users registered on this slash site'),('users_menu_no_display','0','Hide users menu?'),('users_show_info_seclev','0','Minimum seclev to view a users info'),('users_speed_limit','20','How fast a user can change their prefs'),('user_comments_force_index','0','Give user comments query hint to use specific index?'),('user_comment_display_default','24','Number of comments to display on user\'s info page'),('user_submitter_display_default','24','Number of stories to display on user\'s info page'),('use_default_slashboxes','0','Toggle to turn off certain blocks on a per-site basis'),('use_dept','1','use \"dept.\" field'),('use_dept_space2dash','0','dept でスペースを「-」に変換するかどうか（slashdot では変換する）'),('use_falk','0',''),('use_prev_next_link','1','Boolean where to use next/prev links for articles'),('use_prev_next_link_section','1','Boolean where to use next/prev links for articles in a section'),('use_prev_next_link_series','0','Boolean where to use next/prev links for articles in a series (topic)'),('use_privacy_agreement','0','Need to agree privacy statement on create user'),('utf8','1','Enable utf8 mode'),('validated_submitter_last_emailtime','2016-01-22 21:36:17',NULL),('vars_version','1454744089','Vars version variable, when this gets switched $constants gets automatically reloaded within a couple minutes'),('writestatus','ok','Simple Boolean to determine if homepage needs rewriting'),('xhtml','0','Boolean for whether we are using XHTML'),('year','年','string of year suffix'),('yesterday','昨日','string of \"Yesterday\" for translation');
/*!40000 ALTER TABLE `vars` ENABLE KEYS */;
